Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Type-Safe Access to BEA WebLogic Server 9.1 MBeans (Deprecated)
(Methods marked with @since 9.0.0.0 or later are not available through the deprecated `MBeanHome` interface.)

## weblogic.management.configuration
Interface DomainMBean

All Superinterfaces:
  ConfigurationMBean, weblogic.descriptor.DescriptorBean, DynamicMBean, MBeanRegistration, NotificationBroadcaster, weblogic.descriptor.SettableBean, weblogic.management.WebLogicMBean

public interface DomainMBean
extends ConfigurationMBean

A WebLogic Domain is a group of servers and/or clusters which are administered as a group.

### Deprecation of MBeanHome and Type-Safe Interfaces

This is a type-safe interface for a WebLogic Server MBean, which you can import into your client classes and access through `weblogic.management.MBeanHome`. As of 9.0, the `MBeanHome` interface and all type-safe interfaces for WebLogic Server MBeans are deprecated. Instead, client classes that interact with WebLogic Server MBeans should use standard JMX design patterns in which clients use the `javax.management.MBeanServerConnection` interface to discover MBeans, attributes, and attribute types at runtime. For more information, see "Developing Manageable Applications with JMX" on http://edocs.bea.com.

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Field Summary
`static String` | `CONFIG_CHANGE_AUDIT` Configuration Audit directed to Security Audit Framework.
`static String` | `CONFIG_CHANGE_LOG` Configuration Audit directed to Server Log.
`static String` | `CONFIG_CHANGE_LOG_AND_AUDIT` Configuration Audit directed to both Server Log and Security Audit Framework.
`static String` | `CONFIG_CHANGE_NONE` Configuration Audit disabled.
`static String` | `UPLOAD_DEFAULT`

Fields inherited from interface weblogic.management.configuration.ConfigurationMBean
`DEFAULT_EMPTY_BYTE_ARRAY`

Method Summary
`ApplicationMBean` | `createApplication(String name)` Deprecated. 9.0.0.0
`BridgeDestinationMBean` | `createBridgeDestination(String name)` Factory to create BridgeDestination instance in the domain
`ClusterMBean` | `createCluster(String name)` Factory for creating Clusters.
`weblogic.management.configuration.CustomResourceMBean` | `createCustomResource(String name, String resourceClass, String descriptorBeanClass)` Create a new Custom system resource.
`weblogic.management.configuration.CustomResourceMBean` | `createCustomResource(String name, String resourceClass, String descriptorBeanClass, String descriptorFileName)` Create a new Custom system resource whose descriptor is stored in the given fileName relative to DOMAIN_DIR/config/custom.
`DomainLogFilterMBean` | `createDomainLogFilter(String name)` Deprecated. 9.0.0.0
`ErrorHandlingMBean` | `createErrorHandling(String name)` Factory method to create ErrorHandling object
`weblogic.management.configuration.FileStoreMBean` | `createFileStore(String name)` Create a new FileStore
`ForeignJMSServerMBean` | `createForeignJMSServer(String name)` Deprecated. 9.0.0.0
`ForeignJNDIProviderMBean` | `createForeignJNDIProvider(String name)` Create a new diagnostic deployment that can be targeted to a server
`JDBCConnectionPoolMBean` | `createJDBCConnectionPool(String name)` Deprecated. 9.0.0.0 Replaced by `weblogic.management.configuration.DomainMBean#JDBCSystemResources`
`JDBCDataSourceMBean` | `createJDBCDataSource(String name)` Deprecated. 9.0.0.0 Replaced by `weblogic.management.configuration.DomainMBean#JDBCSystemResources`
`JDBCDataSourceFactoryMBean` | `createJDBCDataSourceFactory(String name)` Deprecated. 9.0.0.0 Replaced by `weblogic.management.configuration.DomainMBean#AppDeployment`
`JDBCMultiPoolMBean` | `createJDBCMultiPool(String name)` Deprecated. 9.0.0.0 Replaced by `weblogic.management.configuration.DomainMBean#JDBCSystemResources`
`weblogic.management.configuration.JDBCStoreMBean` | `createJDBCStore(String name)` Create a new JDBCStore
`JDBCSystemResourceMBean` | `createJDBCSystemResource(String name)` Create a new JDBC system resource.
`JDBCSystemResourceMBean` | `createJDBCSystemResource(String name, String descriptorFileName)` Create a new JDBC system resource whose descriptor is stored in the given fileName relative to DOMAIN_DIR/config.
`JDBCTxDataSourceMBean` | `createJDBCTxDataSource(String name)` Deprecated. 9.0.0.0 Replaced by `weblogic.management.configuration.DomainMBean#JDBCSystemResources`
`JMSBridgeDestinationMBean` | `createJMSBridgeDestination(String name)` Factory to create JMSBridgeDestination instance in the domain
`JMSConnectionFactoryMBean` | `createJMSConnectionFactory(String name)` Deprecated. 9.0.0.0
`JMSDestinationKeyMBean` | `createJMSDestinationKey(String name)` Deprecated. 9.0.0.0
`JMSDistributedQueueMBean` | `createJMSDistributedQueue(String name)` Deprecated. 9.0.0.0
`JMSDistributedQueueMemberMBean` | `createJMSDistributedQueueMember(String name)` Deprecated. 9.0.0.0
`JMSDistributedTopicMBean` | `createJMSDistributedTopic(String name)` Deprecated. 9.0.0.0
`JMSDistributedTopicMemberMBean` | `createJMSDistributedTopicMember(String name)` Deprecated. 9.0.0.0
`JMSFileStoreMBean` | `createJMSFileStore(String name)` Deprecated. 9.0.0.0
`JMSInteropModuleMBean` | `createJMSInteropModule(String name)` Create a new JMS interop module.
`JMSJDBCStoreMBean` | `createJMSJDBCStore(String name)` Deprecated. 9.0.0.0
`JMSQueueMBean` | `createJMSQueue(String name)` Deprecated. 9.0.0.0
`JMSServerMBean` | `createJMSServer(String name)` Factory method to create JMSServer object
`JMSSessionPoolMBean` | `createJMSSessionPool(String name)` Deprecated. 9.0.0.0
`JMSSystemResourceMBean` | `createJMSSystemResource(String name)` Create a new JMS system resource.
`JMSSystemResourceMBean` | `createJMSSystemResource(String name, String descriptorFileName)` Create a new JMS system resource whose descriptor is stored in the given fileName relative to DOMAIN_DIR/config.
`JMSTemplateMBean` | `createJMSTemplate(String name)` Deprecated. 9.0.0.0
`JMSTopicMBean` | `createJMSTopic(String name)` Deprecated. 9.0.0.0
`JoltConnectionPoolMBean` | `createJoltConnectionPool(String name)` Factory to create a JoltConnectionPool instance in the domain
`weblogic.management.configuration.LogFilterMBean` | `createLogFilter(String name)` Creates a log filter MBean instance
`MachineMBean` | `createMachine(String name)` Factory method to create a Machine object
`MailSessionMBean` | `createMailSession(String name)` Factory method to create MailSession objects
`MessagingBridgeMBean` | `createMessagingBridge(String name)` Factory for creating MessagingBridges
`NetworkChannelMBean` | `createNetworkChannel(String name)` Deprecated. 9.0.0.0
`RemoteSAFContextMBean` | `createRemoteSAFContext(String name)` Factory method to create SAFRemoteContext object
`weblogic.management.configuration.SAFAgentMBean` | `createSAFAgent(String name)` Factory method to create SAFAgent object
`ServerMBean` | `createServer(String name)` This is the factory method for Servers that are scoped at the domain level.
`ShutdownClassMBean` | `createShutdownClass(String name)` Factory method to create ShutdownClass object
`StartupClassMBean` | `createStartupClass(String name)` Factory method to create StartupClass object
`UnixMachineMBean` | `createUnixMachine(String name)` Creates a UnixMachineMBean and adds it to the list returned by getMachines.
`VirtualHostMBean` | `createVirtualHost(String name)` Factory method to create VirtualHost object
`weblogic.management.configuration.WebserviceSecurityMBean` | `createWebserviceSecurity(String name)` create WebserviceSecurity object
`weblogic.management.configuration.WLDFSystemResourceMBean` | `createWLDFSystemResource(String name)` Create a new JMS system resource.
`weblogic.management.configuration.WLDFSystemResourceMBean` | `createWLDFSystemResource(String name, String descriptorFileName)` Create a new WLDF system resource whose descriptor is stored in the given fileName relative to DOMAIN_DIR/config.
`WLECConnectionPoolMBean` | `createWLECConnectionPool(String name)` Factory method to create WLECConnectionPool object
`WSReliableDeliveryPolicyMBean` | `createWSReliableDeliveryPolicy(String name)` Factory method to create WSReliableDeliveryPolicy object
`WTCServerMBean` | `createWTCServer(String name)` Factory to create WTCServer instance in the domain
`XMLEntityCacheMBean` | `createXMLEntityCache(String name)` Factory method to create an XMLEntityCache Object
`XMLRegistryMBean` | `createXMLRegistry(String name)` Factory method to create XMLRegistry object
`void` | `destroyApplication(ApplicationMBean application)` Deprecated. 9.0.0.0
`void` | `destroyBridgeDestination(BridgeDestinationMBean bridgeDestination)` deletes BridgeDestination object
`void` | `destroyCluster(ClusterMBean cluster)` Deletes the cluster object
`void` | `destroyCustomResource(weblogic.management.configuration.CustomResourceMBean bean)` Destroy the given system resource bean and delete the descriptor file that it refers to.
`void` | `destroyDomainLogFilter(DomainLogFilterMBean logFilter)` Deprecated. 9.0.0.0
`void` | `destroyErrorHandling(ErrorHandlingMBean errorHandling)` Removes a ErrorHandling from this domain
`void` | `destroyFileStore(weblogic.management.configuration.FileStoreMBean store)` Destroy a file store
`void` | `destroyForeignJMSServer(ForeignJMSServerMBean jmsServer)` Deprecated. 9.0.0.0
`void` | `destroyForeignJNDIProvider(ForeignJNDIProviderMBean provider)` Delete a diagnostic deployment configuration from the domain.
`void` | `destroyJDBCConnectionPool(JDBCConnectionPoolMBean pool)` Deprecated. 9.0.0.0 Replaced by `weblogic.management.configuration.DomainMBean#JDBCSystemResources`
`void` | `destroyJDBCDataSource(JDBCDataSourceMBean dataSource)` Deprecated. 9.0.0.0 Replaced by `weblogic.management.configuration.DomainMBean#JDBCSystemResources`
`void` | `destroyJDBCDataSourceFactory(JDBCDataSourceFactoryMBean factory)` Deprecated. 9.0.0.0 Replaced by `weblogic.management.configuration.DomainMBean#AppDeployment`
`void` | `destroyJDBCMultiPool(JDBCMultiPoolMBean pool)` Deprecated. 9.0.0.0 Replaced by `weblogic.management.configuration.DomainMBean#JDBCSystemResources`
`void` | `destroyJDBCStore(weblogic.management.configuration.JDBCStoreMBean store)` Destroy a file store
`void` | `destroyJDBCSystemResource(JDBCSystemResourceMBean bean)` Destroy the given system resource bean and delete the descriptor file that it refers to.
`void` | `destroyJDBCTxDataSource(JDBCTxDataSourceMBean dataSource)` Deprecated. 9.0.0.0 Replaced by `weblogic.management.configuration.DomainMBean#JDBCSystemResources`
`void` | `destroyJMSBridgeDestination(JMSBridgeDestinationMBean jmsBridgeDestination)` deletes JMSBridgeDestination object
`void` | `destroyJMSConnectionFactory(JMSConnectionFactoryMBean jmsConnectionFactory)` Deprecated. 9.0.0.0
`void` | `destroyJMSDestinationKey(JMSDestinationKeyMBean destination)` Deprecated. 9.0.0.0
`void` | `destroyJMSDistributedQueue(JMSDistributedQueueMBean member)` Deprecated. 9.0.0.0
`void` | `destroyJMSDistributedQueueMember(JMSDistributedQueueMemberMBean queue)` Deprecated. 9.0.0.0
`void` | `destroyJMSDistributedTopic(JMSDistributedTopicMBean member)` Deprecated. 9.0.0.0
`void` | `destroyJMSDistributedTopicMember(JMSDistributedTopicMemberMBean topic)` Deprecated. 9.0.0.0
`void` | `destroyJMSFileStore(JMSFileStoreMBean store)` Deprecated. 9.0.0.0
`void` | `destroyJMSInteropModule(JMSInteropModuleMBean bean)` Destroy the given interop module bean and delete the descriptor file that it refers to.
`void` | `destroyJMSJDBCStore(JMSJDBCStoreMBean store)` Deprecated. 9.0.0.0
`void` | `destroyJMSQueue(JMSQueueMBean queue)` Deprecated. 9.0.0.0
`void` | `destroyJMSServer(JMSServerMBean jmsServer)` Removes a JMSServer from this domain
`void` | `destroyJMSSessionPool(JMSSessionPoolMBean jmsSessionPool)` Deprecated. 9.0.0.0
`void` | `destroyJMSSystemResource(JMSSystemResourceMBean bean)` Destroy the given system resource bean and delete the descriptor file that it refers to.
`void` | `destroyJMSTemplate(JMSTemplateMBean template)` Deprecated. 9.0.0.0
`void` | `destroyJMSTopic(JMSTopicMBean topic)` Deprecated. 9.0.0.0
`void` | `destroyJoltConnectionPool(JoltConnectionPoolMBean joltConnectionPool)` deletes a JoltConnectionPool object
`void` | `destroyLogFilter(weblogic.management.configuration.LogFilterMBean logFilter)` Destroy the given log filter MBean
`void` | `destroyMachine(MachineMBean machine)` Removes a Machine from this domain
`void` | `destroyMailSession(MailSessionMBean ms)` Removes a MailSession from this domain
`void` | `destroyMessagingBridge(MessagingBridgeMBean bridge)` deletes MessagingBridge object
`void` | `destroyNetworkChannel(NetworkChannelMBean channel)` Deprecated. 9.0.0.0
`void` | `destroyPathService(PathServiceMBean pathService)` Removes a PathService from this domain
`void` | `destroyRemoteSAFContext(RemoteSAFContextMBean remoteSAFContext)` Removes a SAFRemoteContext from this domain
`void` | `destroySAFAgent(weblogic.management.configuration.SAFAgentMBean sAFAgent)` Removes a SAFAgent from this domain
`void` | `destroyServer(ServerMBean server)` Destroys and removes a server which is a child of this Domain with the specified short name .
`void` | `destroyShutdownClass(ShutdownClassMBean sc)` Removes a ShutdownClass from this domain
`void` | `destroyStartupClass(StartupClassMBean sc)` Removes a StartupClass from this domain
`void` | `destroyVirtualHost(VirtualHostMBean host)` Removes a VirtualHost from this domain
`void` | `destroyWebserviceSecurity(weblogic.management.configuration.WebserviceSecurityMBean wsc)` destroy WebserviceSecurity object
`void` | `destroyWLDFSystemResource(weblogic.management.configuration.WLDFSystemResourceMBean bean)` Destroy the given system resource bean and delete the descriptor file that it refers to.
`void` | `destroyWLECConnectionPool(WLECConnectionPoolMBean store)` Removes a WLECConnectionPool from this domain
`void` | `destroyWSReliableDeliveryPolicy(WSReliableDeliveryPolicyMBean policy)` Removes a WSReliableDeliveryPolicy from this domain
`void` | `destroyWTCServer(WTCServerMBean wtcServer)` deletes WTCServer object
`void` | `destroyXMLEntityCache(XMLEntityCacheMBean cache)` Factory method to destroys an XMLEntityCache Object
`void` | `destroyXMLRegistry(XMLRegistryMBean registry)` Removes a XMLRegistry from this domain
`boolean` | `discoverManagedServer(String serverName)` Admin Server's knowledge of running Managed Servers is refreshed.
`void` | `discoverManagedServers()` Admin Server's knowledge of running Managed Servers is refreshed.
`int` | `getAdministrationPort()` The common secure administration port for this WebLogic Server domain.
`String` | `getAdministrationProtocol()` The default protocol for communicating through the administration port or administration channels.
`String` | `getAdminServerName()`
`weblogic.management.configuration.AppDeploymentMBean[]` | `getAppDeployments()` The collection of deployable entities in this domain.
`ApplicationMBean[]` | `getApplications()` Deprecated. 9.0.0.0
`int` | `getArchiveConfigurationCount()` The number of archival versions of `config.xml` saved by the Administration Server each time the domain configuration is modified.
`BridgeDestinationMBean[]` | `getBridgeDestinations()` Deprecated. 9.0.0.0
`ClusterMBean[]` | `getClusters()` Returns the ClusterMBeans representing the cluster that have been configured to be part of this domain.
`String` | `getConfigurationAuditType()` Returns the criteria used for auditing configuration events (configuration changes and other operations): `CONFIG_CHANGE_NONE` Configuration events will neither be written to the server log or directed to the Security Audit Framework.
`String` | `getConfigurationVersion()` The release identifier for the configuration.
`String` | `getConsoleContextPath()` The context path that you want to use in URLs that specify the Administration Console.
`String` | `getConsoleExtensionDirectory()` Returns the directory path that console extensions are loaded from.
`weblogic.management.configuration.CustomResourceMBean[]` | `getCustomResources()` Returns the JMSSystemResourceMBeans that have been defined for this domain.
`DeploymentConfigurationMBean` | `getDeploymentConfiguration()` Return the deployment configuration for this Domain.
`DeploymentMBean[]` | `getDeployments()` Returns the DeploymentsMBeans representing the deployments that have been deployed to be part of this domain.
`Object[]` | `getDisconnectedManagedServers()` Deprecated. Use the ServerLifecycleRuntime
`DomainLogFilterMBean[]` | `getDomainLogFilters()` Deprecated. 9.0.0.0
`EmbeddedLDAPMBean` | `getEmbeddedLDAP()` Returns the embedded LDAP configuration for this domain.
`ErrorHandlingMBean[]` | `getErrorHandlings()` Get ErrorHandlingMBean for this Domain
`weblogic.management.configuration.FileStoreMBean[]` | `getFileStores()` Return file stores defined in this domain
`weblogic.management.configuration.AppDeploymentMBean[]` | `getInternalAppDeployments()` The collection of internal application deployments in this domain
`LibraryMBean[]` | `getInternalLibraries()` The collection of internal libraries in this domain
`JDBCConnectionPoolMBean[]` | `getJDBCConnectionPools()` Deprecated. 9.0.0.0 Replaced by `weblogic.management.configuration.DomainMBean#JDBCSystemResources`
`JDBCDataSourceFactoryMBean[]` | `getJDBCDataSourceFactories()` Deprecated. 9.0.0.0 Replaced by `weblogic.management.configuration.DomainMBean#AppDeployment`
`JDBCDataSourceMBean[]` | `getJDBCDataSources()` Deprecated. 9.0.0.0 Replaced by `weblogic.management.configuration.DomainMBean#JDBCSystemResources`
`JDBCMultiPoolMBean[]` | `getJDBCMultiPools()` Deprecated. 9.0.0.0 Replaced by `weblogic.management.configuration.DomainMBean#JDBCSystemResources`
`weblogic.management.configuration.JDBCStoreMBean[]` | `getJDBCStores()` Return file stores defined in this domain
`JDBCSystemResourceMBean[]` | `getJDBCSystemResources()` Returns the JDBCSystemResourceMBeans that have been defined for this domain
`JDBCTxDataSourceMBean[]` | `getJDBCTxDataSources()` Deprecated. 9.0.0.0 Replaced by `weblogic.management.configuration.DomainMBean#JDBCSystemResources`
`JMSBridgeDestinationMBean[]` | `getJMSBridgeDestinations()` Return the JMSBridgeDestinations for this Domain.
`JMSConnectionFactoryMBean[]` | `getJMSConnectionFactories()` Deprecated. 9.0.0.0
`JMSDestinationKeyMBean[]` | `getJMSDestinationKeys()` Deprecated. 9.0.0.0
`JMSDestinationMBean[]` | `getJMSDestinations()` Deprecated. 9.0.0.0
`JMSDistributedQueueMemberMBean[]` | `getJMSDistributedQueueMembers()` Deprecated. 9.0.0.0
`JMSDistributedQueueMBean[]` | `getJMSDistributedQueues()` Deprecated. 9.0.0.0
`JMSDistributedTopicMemberMBean[]` | `getJMSDistributedTopicMembers()` Deprecated. 9.0.0.0
`JMSDistributedTopicMBean[]` | `getJMSDistributedTopics()` Deprecated. 9.0.0.0
`JMSFileStoreMBean[]` | `getJMSFileStores()` Deprecated. 9.0.0.0
`JMSInteropModuleMBean[]` | `getJMSInteropModules()` Returns the JMS Interop Module that have been defined for this domain.
`JMSJDBCStoreMBean[]` | `getJMSJDBCStores()` Deprecated. 9.0.0.0
`JMSQueueMBean[]` | `getJMSQueues()` Deprecated. 9.0.0.0
`JMSServerMBean[]` | `getJMSServers()` Define JMSServers for this Domain
`JMSSessionPoolMBean[]` | `getJMSSessionPools()` Deprecated. 9.0.0.0
`JMSStoreMBean[]` | `getJMSStores()` Deprecated. 9.0.0.0
`JMSSystemResourceMBean[]` | `getJMSSystemResources()` Returns the JMSSystemResourceMBeans that have been defined for this domain.
`JMSTemplateMBean[]` | `getJMSTemplates()` Deprecated. 9.0.0.0
`JMSTopicMBean[]` | `getJMSTopics()` Deprecated. 9.0.0.0
`JMXMBean` | `getJMX()` The configuration of the JMX Subsystem.
`JoltConnectionPoolMBean[]` | `getJoltConnectionPools()` Return the JoltConnectionPools for this Domain.
`JTAMBean` | `getJTA()` Return the JTA configuration for this Domain.
`long` | `getLastModificationTime()` Return the last time this domain was updated.
`LibraryMBean[]` | `getLibraries()`
`LogMBean` | `getLog()` Return the domain logfile configuration for this domain.
`weblogic.management.configuration.LogFilterMBean[]` | `getLogFilters()` Gets the array of log filters defined in the domain
`MachineMBean[]` | `getMachines()` Define machines for this Domain
`MailSessionMBean[]` | `getMailSessions()` Retrieve MailSessions for this Domain
`MessagingBridgeMBean[]` | `getMessagingBridges()` Returns the MessagingBridgeMBean representing the messaging bridges that have been configured to be part of this domain.
`NetworkChannelMBean[]` | `getNetworkChannels()` Deprecated. 9.0.0.0
`RemoteSAFContextMBean[]` | `getRemoteSAFContexts()` Get RemoteSAFContextMBean for this Domain
`String` | `getRootDirectory()` Return the root directory for the domain.
`weblogic.management.configuration.SAFAgentMBean[]` | `getSAFAgents()` Get SAFAgentMBean for this Domain
`SecurityMBean` | `getSecurity()` Deprecated. 9.0.0.0
`SecurityConfigurationMBean` | `getSecurityConfiguration()` Return the (new) security configuration for this domain.
`SelfTuningMBean` | `getSelfTuning()` Get the WorkManager configuration pieces for this domain
`ServerMBean[]` | `getServers()` Returns the ServerMBeans representing the servers that have been configured to be part of this domain.
`ShutdownClassMBean[]` | `getShutdownClasses()` Retrieve ShutdownClasses for this Domain
`SNMPAgentMBean` | `getSNMPAgent()` Return the SNMPAgentMBean for this domain.
`StartupClassMBean[]` | `getStartupClasses()` Retrieve StartupClasses for this Domain
`SystemResourceMBean[]` | `getSystemResources()` Return the SystemResourceMBeans in this Domain.
`TargetMBean[]` | `getTargets()` Define targets for this Domain
`VirtualHostMBean[]` | `getVirtualHosts()` Define VirtualHosts for this Domain
`WebAppContainerMBean` | `getWebAppContainer()` Collection of global properties to be applied on all webapps in this domain.
`weblogic.management.configuration.WebserviceSecurityMBean[]` | `getWebserviceSecurities()`
`weblogic.management.configuration.WLDFSystemResourceMBean[]` | `getWLDFSystemResources()` Returns the WLDFSystemResourceMBeans that have been defined for this domain.
`WLECConnectionPoolMBean[]` | `getWLECConnectionPools()` Get WLECConnectionPools for this Domain
`WSReliableDeliveryPolicyMBean[]` | `getWSReliableDeliveryPolicies()` Define wSReliableDeliveryPolicies for this Domain
`WTCServerMBean[]` | `getWTCServers()` Return the WTCServerMBeans for this Domain.
`XMLEntityCacheMBean[]` | `getXMLEntityCaches()` Returns all the XMLEntityCache objects defined in this domain
`XMLRegistryMBean[]` | `getXMLRegistries()` Define xMLRegistries for this Domain
`boolean` | `isAdministrationMBeanAuditingEnabled()` Deprecated. Please use `DomainMBean.getConfigurationAuditType()`
`boolean` | `isAdministrationPortEnabled()` Specifies whether the domain-wide administration port should be enabled for this WebLogic Server domain.
`boolean` | `isAutoConfigurationSaveEnabled()` Deprecated. 9.0.0.0 The configuration is explicit written on a save call.
`boolean` | `isClusterConstraintsEnabled()` Specifies that deployments targeted to a cluster succeed only if all servers in the cluster are running.
`boolean` | `isConfigBackupEnabled()` If true, then backups of the configuration will be made during server boot.
`boolean` | `isConsoleEnabled()` Specifies whether the Administration Server automatically deploys the Administration Console in the current domain.
`boolean` | `isProductionModeEnabled()` Specifies whether all servers in this domain run in production mode.
`HashMap` | `kill()` Deprecated. 9.0.0.0
`weblogic.management.configuration.AppDeploymentMBean` | `lookupAppDeployment(String name)`
`ApplicationMBean` | `lookupApplication(String name)` Deprecated. 9.0.0.0
`BridgeDestinationMBean` | `lookupBridgeDestination(String name)`
`ClusterMBean` | `lookupCluster(String name)`
`weblogic.management.configuration.CustomResourceMBean` | `lookupCustomResource(String name)` Find a JMSSystem resource with the given name
`DomainLogFilterMBean` | `lookupDomainLogFilter(String name)` Deprecated. 9.0.0.0
`ErrorHandlingMBean` | `lookupErrorHandling(String name)`
`weblogic.management.configuration.FileStoreMBean` | `lookupFileStore(String name)`
`ForeignJNDIProviderMBean` | `lookupForeignJNDIProvider(String name)` Find a ForeignJNDIProvider resource with the given name
`weblogic.management.configuration.AppDeploymentMBean` | `lookupInternalAppDeployment(String name)`
`LibraryMBean` | `lookupInternalLibrary(String name)`
`JDBCConnectionPoolMBean` | `lookupJDBCConnectionPool(String name)` Deprecated. 9.0.0.0 Replaced by `weblogic.management.configuration.DomainMBean#JDBCSystemResources`
`JDBCDataSourceMBean` | `lookupJDBCDataSource(String name)` Deprecated. 9.0.0.0 Replaced by `weblogic.management.configuration.DomainMBean#JDBCSystemResources`
`JDBCDataSourceFactoryMBean` | `lookupJDBCDataSourceFactory(String name)` Deprecated. 9.0.0.0 Replaced by `weblogic.management.configuration.DomainMBean#AppDeployment`
`JDBCMultiPoolMBean` | `lookupJDBCMultiPool(String name)` Deprecated. 9.0.0.0 Replaced by `weblogic.management.configuration.DomainMBean#JDBCSystemResources`
`weblogic.management.configuration.JDBCStoreMBean` | `lookupJDBCStore(String name)`
`JDBCSystemResourceMBean` | `lookupJDBCSystemResource(String name)`
`JDBCTxDataSourceMBean` | `lookupJDBCTxDataSource(String name)` Deprecated. 9.0.0.0 Replaced by `weblogic.management.configuration.DomainMBean#JDBCSystemResources`
`JMSBridgeDestinationMBean` | `lookupJMSBridgeDestination(String name)`
`JMSConnectionFactoryMBean` | `lookupJMSConnectionFactory(String name)` Deprecated. 9.0.0.0
`JMSDestinationMBean` | `lookupJMSDestination(String name)`
`JMSDestinationKeyMBean` | `lookupJMSDestinationKey(String name)` Deprecated. 9.0.0.0
`JMSDistributedQueueMBean` | `lookupJMSDistributedQueue(String name)` Deprecated. 9.0.0.0
`JMSDistributedQueueMemberMBean` | `lookupJMSDistributedQueueMember(String name)` Deprecated. 9.0.0.0
`JMSDistributedTopicMBean` | `lookupJMSDistributedTopic(String name)` Deprecated. 9.0.0.0
`JMSDistributedTopicMemberMBean` | `lookupJMSDistributedTopicMember(String name)` Deprecated. 9.0.0.0
`JMSFileStoreMBean` | `lookupJMSFileStore(String name)` Deprecated. 9.0.0.0
`JMSInteropModuleMBean` | `lookupJMSInteropModule(String name)` Find a JMSInterop resource with the given name
`JMSJDBCStoreMBean` | `lookupJMSJDBCStore(String name)` Deprecated. 9.0.0.0
`JMSQueueMBean` | `lookupJMSQueue(String name)` Deprecated. 9.0.0.0
`JMSServerMBean` | `lookupJMSServer(String name)`
`JMSSessionPoolMBean` | `lookupJMSSessionPool(String name)` Deprecated. 9.0.0.0
`JMSStoreMBean` | `lookupJMSStore(String name)` Deprecated. 9.0.0.0
`JMSSystemResourceMBean` | `lookupJMSSystemResource(String name)` Find a JMSSystem resource with the given name
`JMSTemplateMBean` | `lookupJMSTemplate(String name)` Deprecated. 9.0.0.0
`JMSTopicMBean` | `lookupJMSTopic(String name)` Deprecated. 9.0.0.0
`JoltConnectionPoolMBean` | `lookupJoltConnectionPool(String name)` Find a JoltConnectionPool object with this name
`LibraryMBean` | `lookupLibrary(String name)` Look up the named module.
`weblogic.management.configuration.LogFilterMBean` | `lookupLogFilter(String name)` Looks up a log filter by name
`MachineMBean` | `lookupMachine(String name)`
`MailSessionMBean` | `lookupMailSession(String name)`
`MessagingBridgeMBean` | `lookupMessagingBridge(String name)`
`MigratableTargetMBean` | `lookupMigratableTarget(String name)` Lookup a particular MigratableTarget from the list.
`NetworkChannelMBean` | `lookupNetworkChannel(String name)` Deprecated. 9.0.0.0
`RemoteSAFContextMBean` | `lookupRemoteSAFContext(String name)`
`weblogic.management.configuration.SAFAgentMBean` | `lookupSAFAgent(String name)`
`ServerMBean` | `lookupServer(String name)` Lookup a particular server from the list.
`ShutdownClassMBean` | `lookupShutdownClass(String name)`
`StartupClassMBean` | `lookupStartupClass(String name)`
`SystemResourceMBean` | `lookupSystemResource(String name)` Lookup a particular SystemResource in this domain.
`TargetMBean` | `lookupTarget(String name)`
`VirtualHostMBean` | `lookupVirtualHost(String name)`
`weblogic.management.configuration.WebserviceSecurityMBean` | `lookupWebserviceSecurity(String name)` look up WebserviceSecurityConfiguration object
`weblogic.management.configuration.WLDFSystemResourceMBean` | `lookupWLDFSystemResource(String name)` Looks up a WLDFSystemResourceMBean by name.
`WLECConnectionPoolMBean` | `lookupWLECConnectionPool(String name)`
`WSReliableDeliveryPolicyMBean` | `lookupWSReliableDeliveryPolicy(String name)`
`WTCServerMBean` | `lookupWTCServer(String name)`
`XMLEntityCacheMBean` | `lookupXMLEntityCache(String name)` Returns an XMLEntityCache object if the given name
`XMLRegistryMBean` | `lookupXMLRegistry(String name)`
`void` | `setAdministrationMBeanAuditingEnabled(boolean choice)` Deprecated. Please use `DomainMBean.setConfigurationAuditType()`
`void` | `setAdministrationPort(int port)` Sets the AdministrationPort attribute of the DomainMBean object
`void` | `setAdministrationPortEnabled(boolean enable)` Sets the value of the AdministrationPortEnabled attribute.
`void` | `setAdministrationProtocol(String protocol)` Sets the protocol to be used for admin connections when none is specified.
`void` | `setAdminServerName(String name)`
`void` | `setArchiveConfigurationCount(int count)` Sets the value of the ArchiveConfigurationCount attribute.
`void` | `setAutoConfigurationSaveEnabled(boolean choice)` Sets the value of the AutoConfigurationSaveEnabled attribute.
`void` | `setClusterConstraintsEnabled(boolean enableClusterConstraints)` Sets the value of the ClusterConstrainEnabled attribute.
`void` | `setConfigBackupEnabled(boolean enable)` Sets the value of the ConfigBackupEnabled attribute.
`void` | `setConfigurationAuditType(String auditType)` Sets the criteria for auditing configuration events (configuration changes and other operations): `CONFIG_CHANGE_NONE`.
`void` | `setConfigurationVersion(String version)` Sets the value of the ConfigurationVersion attribute.
`void` | `setConsoleContextPath(String ctx)` Sets the value of the ConsoleContextPath attribute.
`void` | `setConsoleEnabled(boolean console)` Sets the value of the ConsoleEnabled attribute.
`void` | `setConsoleExtensionDirectory(String directory)` Sets the directory path that console extension directory that console extensions are deployed to.
`void` | `setProductionModeEnabled(boolean productionModeEnabled)` Sets the value of the ProductionModeEnabled attribute.
`HashMap` | `start()` Deprecated. 9.0.0.0

Methods inherited from interface weblogic.management.configuration.ConfigurationMBean
`freezeCurrentValue, getName, getNotes, isSet, restoreDefaultValue, setComments, setDefaultedMBean, setName, setNotes, setPersistenceEnabled, unSet`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preDeregister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Methods inherited from interface weblogic.descriptor.DescriptorBean
`addBeanUpdateListener, addPropertyChangeListener, createChildCopy, createChildCopyIncludingObsolete, getDescriptor, getParentBean, isEditable, removeBeanUpdateListener, removePropertyChangeListener`

Field Detail

### CONFIG_CHANGE_AUDIT

    public static final String CONFIG_CHANGE_AUDIT

  Configuration Audit directed to Security Audit Framework.

  See Also:
    Constant Field Values

### CONFIG_CHANGE_LOG

    public static final String CONFIG_CHANGE_LOG

  Configuration Audit directed to Server Log.

  See Also:
    Constant Field Values

### CONFIG_CHANGE_LOG_AND_AUDIT

    public static final String CONFIG_CHANGE_LOG_AND_AUDIT

  Configuration Audit directed to both Server Log and Security Audit Framework.

  See Also:
    Constant Field Values

### CONFIG_CHANGE_NONE

    public static final String CONFIG_CHANGE_NONE

  Configuration Audit disabled.

  See Also:
    Constant Field Values

### UPLOAD_DEFAULT

    public static final String UPLOAD_DEFAULT

See Also:
  Constant Field Values

Method Detail

### createApplication

    public ApplicationMBean createApplication(String name)

  Deprecated. 9.0.0.0

  factory to create Applications

  Parameters:
    `name` -
  Returns:
    Application object

### createBridgeDestination

    public BridgeDestinationMBean createBridgeDestination(String name)

  Factory to create BridgeDestination instance in the domain

  Parameters:
    `name` -
  Returns:
    BridgeDestination object

### createCluster

    public ClusterMBean createCluster(String name)

  Factory for creating Clusters.

  Parameters:
    `name` -
  Returns:
    Cluster object

### createCustomResource

    public weblogic.management.configuration.CustomResourceMBean createCustomResource(String name,
                                                                                      String resourceClass,
                                                                                      String descriptorBeanClass)

  Create a new Custom system resource. The file for this resource will be DOMAIN_DIR/config/custom/.xml

  Parameters:
    `name` - - name of bean and base name for descriptor file.
    `resourceClass` - - the name of the class that manages resource's lifecycle.
    `descriptorBeanClass` - - the interface class name for this descriptor bean
  Since:
    9.1.0.0

### createCustomResource

    public weblogic.management.configuration.CustomResourceMBean createCustomResource(String name,
                                                                                      String resourceClass,
                                                                                      String descriptorBeanClass,
                                                                                      String descriptorFileName)

  Create a new Custom system resource whose descriptor is stored in the given fileName relative to DOMAIN_DIR/config/custom. If not file by this name is defined, it will be created. If a file by this name exists and contains a valid descriptor, the new bean will link to that descriptor.

  Parameters:
    `name` - - name of bean
    `resourceClass` - - the name of the class that manages resource's lifecycle.
    `descriptorBeanClass` - - the interface class name for this descriptor bean
    `descriptorFileName` - - name of descriptor file relative to DOMAIN_DIR/config/custom/..
  Since:
    9.1.0.0

### createDomainLogFilter

    public DomainLogFilterMBean createDomainLogFilter(String name)

  Deprecated. 9.0.0.0

  Creates a log filter MBean instance

  Parameters:
    `name` -

### createErrorHandling

    public ErrorHandlingMBean createErrorHandling(String name)

  Factory method to create ErrorHandling object

  Parameters:
    `name` -
  Returns:
    ErrorHandling object
  Since:
    9.0.0.0

### createFileStore

    public weblogic.management.configuration.FileStoreMBean createFileStore(String name)

  Create a new FileStore

  Parameters:
    `name` -
  Returns:
    new file store.
  Since:
    9.0.0.0

### createForeignJMSServer

    public ForeignJMSServerMBean createForeignJMSServer(String name)

  Deprecated. 9.0.0.0

  Create a new diagnostic deployment that can be targeted to a server

  Parameters:
    `name` -

### createForeignJNDIProvider

    public ForeignJNDIProviderMBean createForeignJNDIProvider(String name)

  Create a new diagnostic deployment that can be targeted to a server

  Parameters:
    `name` -

### createJDBCConnectionPool

    public JDBCConnectionPoolMBean createJDBCConnectionPool(String name)

  Deprecated. 9.0.0.0 Replaced by `weblogic.management.configuration.DomainMBean#JDBCSystemResources`

  This is the factory method for JDBCConnectionPools that are scoped at the domain level. The short name which is specified must be unique among all object instances of type Target. The new JDBCConnectionPool which gets created will have this Domain as its parent and must be destroyed with the destroyServer method.

  Parameters:
    `name` -
  Returns:
    a server instance.

### createJDBCDataSource

    public JDBCDataSourceMBean createJDBCDataSource(String name)

  Deprecated. 9.0.0.0 Replaced by `weblogic.management.configuration.DomainMBean#JDBCSystemResources`

  This is the factory method for JDBCDataSources that are scoped at the domain level. The new JDBCDataSource which gets created will have this Domain as its parent and must be destroyed with the destroyServer method.

  Parameters:
    `name` -
  Returns:
    a server instance.

### createJDBCDataSourceFactory

    public JDBCDataSourceFactoryMBean createJDBCDataSourceFactory(String name)

  Deprecated. 9.0.0.0 Replaced by `weblogic.management.configuration.DomainMBean#AppDeployment`

  Factory to create JDBCDataSourceFactories.

  Parameters:
    `name` -
  Returns:
    a JDBCDataSourceFactory object

### createJDBCMultiPool

    public JDBCMultiPoolMBean createJDBCMultiPool(String name)

  Deprecated. 9.0.0.0 Replaced by `weblogic.management.configuration.DomainMBean#JDBCSystemResources`

  This is the factory method for JDBCMultiPools that are scoped at the domain level. The new JDBCMultiPool which gets created will have this Domain as its parent and must be destroyed with the destroyServer method.

  Parameters:
    `name` -
  Returns:
    a server instance.

### createJDBCStore

    public weblogic.management.configuration.JDBCStoreMBean createJDBCStore(String name)

  Create a new JDBCStore

  Parameters:
    `name` -
  Returns:
    new file store.
  Since:
    9.0.0.0

### createJDBCSystemResource

    public JDBCSystemResourceMBean createJDBCSystemResource(String name)

  Create a new JDBC system resource. The file for this resource will be DOMAIN_DIR/config/.xml

  Parameters:
    `name` - - name of bean and base name for descriptor file.
  Since:
    9.0.0.0

### createJDBCSystemResource

    public JDBCSystemResourceMBean createJDBCSystemResource(String name,
                                                            String descriptorFileName)

  Create a new JDBC system resource whose descriptor is stored in the given fileName relative to DOMAIN_DIR/config. If not file by this name is defined, it will be created. If a file by this name exists and contains a valid JDBC descriptor, the new bean will link to that descriptor.

  Parameters:
    `name` - - name of bean
    `descriptorFileName` - - name of descriptor file relative to DOMAIN_DIR/config/jdbc.
  Since:
    9.0.0.0

### createJDBCTxDataSource

    public JDBCTxDataSourceMBean createJDBCTxDataSource(String name)

  Deprecated. 9.0.0.0 Replaced by `weblogic.management.configuration.DomainMBean#JDBCSystemResources`

  This is the factory method for JDBCTxDataSources that are scoped at the domain level. The new JDBCDataSource which gets created will have this Domain as its parent and must be destroyed with the destroyServer method.

  Parameters:
    `name` -
  Returns:
    a server instance.

### createJMSBridgeDestination

    public JMSBridgeDestinationMBean createJMSBridgeDestination(String name)

  Factory to create JMSBridgeDestination instance in the domain

  Parameters:
    `name` -
  Returns:
    JMSBridgeDestination object

### createJMSConnectionFactory

    public JMSConnectionFactoryMBean createJMSConnectionFactory(String name)

  Deprecated. 9.0.0.0

  Factory to create JMSConnectionFactory instance in the domain

  Parameters:
    `name` -
  Returns:
    JMSConnectionFactory object

### createJMSDestinationKey

    public JMSDestinationKeyMBean createJMSDestinationKey(String name)

  Deprecated. 9.0.0.0

  Factory method to create JMSDestination object

  Parameters:
    `name` -
  Returns:
    JMSDestination object

### createJMSDistributedQueue

    public JMSDistributedQueueMBean createJMSDistributedQueue(String name)

  Deprecated. 9.0.0.0

  Factory method to create JMSDistributedQueue object

  Parameters:
    `name` -
  Returns:
    JMSDistributedQueue object

### createJMSDistributedQueueMember

    public JMSDistributedQueueMemberMBean createJMSDistributedQueueMember(String name)

  Deprecated. 9.0.0.0

  Factory method to create JMSDistributedQueueMember object

  Parameters:
    `name` -
  Returns:
    JMSDistributedQueueMember object

### createJMSDistributedTopic

    public JMSDistributedTopicMBean createJMSDistributedTopic(String name)

  Deprecated. 9.0.0.0

  Factory method to create JMSDistributedTopic object

  Returns:
    JMSDistributedTopic object

### createJMSDistributedTopicMember

    public JMSDistributedTopicMemberMBean createJMSDistributedTopicMember(String name)

  Deprecated. 9.0.0.0

  Factory method to create JMSDistributedTopicMember object

  Parameters:
    `name` -
  Returns:
    JMSDistributedTopicMember object

### createJMSFileStore

    public JMSFileStoreMBean createJMSFileStore(String name)

  Deprecated. 9.0.0.0

  Factory method to create JMSFileStore object

  Parameters:
    `name` -
  Returns:
    JMSFileStore object

### createJMSInteropModule

    public JMSInteropModuleMBean createJMSInteropModule(String name)

  Create a new JMS interop module. The file for this resource will be DOMAIN_DIR/config/.xml

  Parameters:
    `name` - - name of bean and base name for descriptor file.
  Since:
    9.0.0.0

### createJMSJDBCStore

    public JMSJDBCStoreMBean createJMSJDBCStore(String name)

  Deprecated. 9.0.0.0

  Factory method to create JMSJDBCStore object

  Parameters:
    `name` -
  Returns:
    JMSJDBCStore object

### createJMSQueue

    public JMSQueueMBean createJMSQueue(String name)

  Deprecated. 9.0.0.0

  Factory method to create JMSQueue object

  Parameters:
    `name` -
  Returns:
    JMSQueue object

### createJMSServer

    public JMSServerMBean createJMSServer(String name)

  Factory method to create JMSServer object

  Parameters:
    `name` -
  Returns:
    JMSServer object

### createJMSSessionPool

    public JMSSessionPoolMBean createJMSSessionPool(String name)

  Deprecated. 9.0.0.0

  Factory to create JMSSessionPool instance in the domain

  Parameters:
    `name` -
  Returns:
    JMSSessionPool object

### createJMSSystemResource

    public JMSSystemResourceMBean createJMSSystemResource(String name)

  Create a new JMS system resource. The file for this resource will be DOMAIN_DIR/config/.xml

  Parameters:
    `name` - - name of bean and base name for descriptor file.
  Since:
    9.0.0.0

### createJMSSystemResource

    public JMSSystemResourceMBean createJMSSystemResource(String name,
                                                          String descriptorFileName)

  Create a new JMS system resource whose descriptor is stored in the given fileName relative to DOMAIN_DIR/config. If not file by this name is defined, it will be created. If a file by this name exists and contains a valid JMS descriptor, the new bean will link to that descriptor.

  Parameters:
    `name` - - name of bean
    `descriptorFileName` - - name of descriptor file relative to DOMAIN_DIR/config/jms..
  Since:
    9.0.0.0

### createJMSTemplate

    public JMSTemplateMBean createJMSTemplate(String name)

  Deprecated. 9.0.0.0

  Factory method to create JMSTemplate object

  Parameters:
    `name` -
  Returns:
    JMSTemplate object

### createJMSTopic

    public JMSTopicMBean createJMSTopic(String name)

  Deprecated. 9.0.0.0

  Factory method to create JMSTopic object

  Parameters:
    `name` -
  Returns:
    JMSTopic object

### createJoltConnectionPool

    public JoltConnectionPoolMBean createJoltConnectionPool(String name)

  Factory to create a JoltConnectionPool instance in the domain

  Parameters:
    `name` -
  Returns:
    the new JoltConnectionPoolMBean object

### createLogFilter

    public weblogic.management.configuration.LogFilterMBean createLogFilter(String name)

  Creates a log filter MBean instance

  Parameters:
    `name` -

### createMachine

    public MachineMBean createMachine(String name)

  Factory method to create a Machine object

  Parameters:
    `name` -
  Returns:
    Machine object

### createMailSession

    public MailSessionMBean createMailSession(String name)

  Factory method to create MailSession objects

  Parameters:
    `name` -
  Returns:
    MailSession object

### createMessagingBridge

    public MessagingBridgeMBean createMessagingBridge(String name)

  Factory for creating MessagingBridges

  Parameters:
    `name` -
  Returns:
    MessageBridge object

### createNetworkChannel

    public NetworkChannelMBean createNetworkChannel(String name)

  Deprecated. 9.0.0.0

  Factory method to create NetworkChannel object

  Parameters:
    `name` -
  Returns:
    NetworkChannel object

### createRemoteSAFContext

    public RemoteSAFContextMBean createRemoteSAFContext(String name)

  Factory method to create SAFRemoteContext object

  Parameters:
    `name` -
  Returns:
    SAFRemoteContext object
  Since:
    9.0.0.0

### createSAFAgent

    public weblogic.management.configuration.SAFAgentMBean createSAFAgent(String name)

  Factory method to create SAFAgent object

  Parameters:
    `name` -
  Returns:
    SAFAgent object

### createServer

    public ServerMBean createServer(String name)

  This is the factory method for Servers that are scoped at the domain level. The short name which is specified must be unique among all object instances of type . The new Server which is create will have this Domain as its parent and must be destroyed with the destroyServer method.

  Parameters:
    `name` -
  Returns:
    a server instance.

### createShutdownClass

    public ShutdownClassMBean createShutdownClass(String name)

  Factory method to create ShutdownClass object

  Parameters:
    `name` -
  Returns:
    ShutdownClass object

### createStartupClass

    public StartupClassMBean createStartupClass(String name)

  Factory method to create StartupClass object

  Parameters:
    `name` -
  Returns:
    ShutdownClass object

### createUnixMachine

    public UnixMachineMBean createUnixMachine(String name)

  Creates a UnixMachineMBean and adds it to the list returned by getMachines. You may use destroyMachine to destroy beans of this type.

  Parameters:
    `name` -
  Returns:
    new machine

### createVirtualHost

    public VirtualHostMBean createVirtualHost(String name)

  Factory method to create VirtualHost object

  Parameters:
    `name` -
  Returns:
    VirtualHost object

### createWebserviceSecurity

    public weblogic.management.configuration.WebserviceSecurityMBean createWebserviceSecurity(String name)

  create WebserviceSecurity object

  Parameters:
    `name` - of WebserviceSecurity
  Returns:
    WebserviceSecurity object
  Since:
    9.0.0.0

### createWLDFSystemResource

    public weblogic.management.configuration.WLDFSystemResourceMBean createWLDFSystemResource(String name)

  Create a new JMS system resource. The file for this resource will be DOMAIN_DIR/config/.xml

  Parameters:
    `name` - - name of bean and base name for descriptor file.
  Since:
    9.0.0.0

### createWLDFSystemResource

    public weblogic.management.configuration.WLDFSystemResourceMBean createWLDFSystemResource(String name,
                                                                                              String descriptorFileName)

  Create a new WLDF system resource whose descriptor is stored in the given fileName relative to DOMAIN_DIR/config. If not file by this name is defined, it will be created. If a file by this name exists and contains a valid WLDF descriptor, the new bean will link to that descriptor.

  Parameters:
    `name` - - name of bean
    `descriptorFileName` - - name of descriptor file relative to DOMAIN_DIR/config/diagnostics.
  Since:
    9.0.0.0

### createWLECConnectionPool

    public WLECConnectionPoolMBean createWLECConnectionPool(String name)

  Factory method to create WLECConnectionPool object

  Parameters:
    `name` -
  Returns:
    WLECConnectionPool object

### createWSReliableDeliveryPolicy

    public WSReliableDeliveryPolicyMBean createWSReliableDeliveryPolicy(String name)

  Factory method to create WSReliableDeliveryPolicy object

  Parameters:
    `name` -
  Returns:
    WSReliableDeliveryPolicy object

### createWTCServer

    public WTCServerMBean createWTCServer(String name)

  Factory to create WTCServer instance in the domain

  Parameters:
    `name` -
  Returns:
    WTCCServer object

### createXMLEntityCache

    public XMLEntityCacheMBean createXMLEntityCache(String name)

  Factory method to create an XMLEntityCache Object

  Parameters:
    `name` - of the XMLEntityCache to be created.
  Returns:
    XMLEntityCache object

### createXMLRegistry

    public XMLRegistryMBean createXMLRegistry(String name)

  Factory method to create XMLRegistry object

  Parameters:
    `name` -
  Returns:
    XMLRegistry object

### destroyApplication

    public void destroyApplication(ApplicationMBean application)

  Deprecated. 9.0.0.0

  destroys Applications

  Parameters:
    `application` -

### destroyBridgeDestination

    public void destroyBridgeDestination(BridgeDestinationMBean bridgeDestination)

  deletes BridgeDestination object

  Parameters:
    `bridgeDestination` -

### destroyCluster

    public void destroyCluster(ClusterMBean cluster)

  Deletes the cluster object

  Parameters:
    `cluster` -

### destroyCustomResource

    public void destroyCustomResource(weblogic.management.configuration.CustomResourceMBean bean)

  Destroy the given system resource bean and delete the descriptor file that it refers to.

  Parameters:
    `bean` - - bean to destroy
  Since:
    9.1.0.0

### destroyDomainLogFilter

    public void destroyDomainLogFilter(DomainLogFilterMBean logFilter)

  Deprecated. 9.0.0.0

  Destroy the given domain log filter MBean

  Parameters:
    `logFilter` -

### destroyErrorHandling

    public void destroyErrorHandling(ErrorHandlingMBean errorHandling)

  Removes a ErrorHandling from this domain

  Parameters:
    `errorHandling` - object
  Since:
    9.0.0.0

### destroyFileStore

    public void destroyFileStore(weblogic.management.configuration.FileStoreMBean store)

  Destroy a file store

  Parameters:
    `store` - to destroy
  Since:
    9.0.0.0

### destroyForeignJMSServer

    public void destroyForeignJMSServer(ForeignJMSServerMBean jmsServer)

  Deprecated. 9.0.0.0

  Delete a diagnostic deployment configuration from the domain.

  Parameters:
    `jmsServer` -

### destroyForeignJNDIProvider

    public void destroyForeignJNDIProvider(ForeignJNDIProviderMBean provider)

  Delete a diagnostic deployment configuration from the domain.

  Parameters:
    `provider` -

### destroyJDBCConnectionPool

    public void destroyJDBCConnectionPool(JDBCConnectionPoolMBean pool)

  Deprecated. 9.0.0.0 Replaced by `weblogic.management.configuration.DomainMBean#JDBCSystemResources`

  Destroys and removes a JDBCConnectionPool which is a child of this Domain with the specified short name .

  Parameters:
    `pool` -

### destroyJDBCDataSource

    public void destroyJDBCDataSource(JDBCDataSourceMBean dataSource)

  Deprecated. 9.0.0.0 Replaced by `weblogic.management.configuration.DomainMBean#JDBCSystemResources`

  Destroys and removes a JDBCDataSource which is a child of this Domain with the specified short name .

  Parameters:
    `dataSource` -

### destroyJDBCDataSourceFactory

    public void destroyJDBCDataSourceFactory(JDBCDataSourceFactoryMBean factory)

  Deprecated. 9.0.0.0 Replaced by `weblogic.management.configuration.DomainMBean#AppDeployment`

  Removes a JDBCDataSourceFactory object from configuration

  Parameters:
    `factory` - name of the object

### destroyJDBCMultiPool

    public void destroyJDBCMultiPool(JDBCMultiPoolMBean pool)

  Deprecated. 9.0.0.0 Replaced by `weblogic.management.configuration.DomainMBean#JDBCSystemResources`

  Destroys and removes a JDBCMultiPool which is a child of this Domain with the specified short name.

  Parameters:
    `pool` -

### destroyJDBCStore

    public void destroyJDBCStore(weblogic.management.configuration.JDBCStoreMBean store)

  Destroy a file store

  Parameters:
    `store` - to destroy
  Since:
    9.0.0.0

### destroyJDBCSystemResource

    public void destroyJDBCSystemResource(JDBCSystemResourceMBean bean)

  Destroy the given system resource bean and delete the descriptor file that it refers to.

  Parameters:
    `bean` - - bean to destroy
  Since:
    9.0.0.0

### destroyJDBCTxDataSource

    public void destroyJDBCTxDataSource(JDBCTxDataSourceMBean dataSource)

  Deprecated. 9.0.0.0 Replaced by `weblogic.management.configuration.DomainMBean#JDBCSystemResources`

  Destroys and removes a JDBCTxDataSource which is a child of this Domain with the specified short name .

  Parameters:
    `dataSource` -

### destroyJMSBridgeDestination

    public void destroyJMSBridgeDestination(JMSBridgeDestinationMBean jmsBridgeDestination)

  deletes JMSBridgeDestination object

  Parameters:
    `jmsBridgeDestination` -

### destroyJMSConnectionFactory

    public void destroyJMSConnectionFactory(JMSConnectionFactoryMBean jmsConnectionFactory)

  Deprecated. 9.0.0.0

  deletes JMSConnectionFactory object

  Parameters:
    `jmsConnectionFactory` -

### destroyJMSDestinationKey

    public void destroyJMSDestinationKey(JMSDestinationKeyMBean destination)

  Deprecated. 9.0.0.0

  Removes a JMSDestinationKey from this domain

  Parameters:
    `destination` -

### destroyJMSDistributedQueue

    public void destroyJMSDistributedQueue(JMSDistributedQueueMBean member)

  Deprecated. 9.0.0.0

  Removes a JMSDistributedQueue from this domain

  Parameters:
    `member` -

### destroyJMSDistributedQueueMember

    public void destroyJMSDistributedQueueMember(JMSDistributedQueueMemberMBean queue)

  Deprecated. 9.0.0.0

  Removes a JMSDistributedQueueMember from this domain

  Parameters:
    `queue` -

### destroyJMSDistributedTopic

    public void destroyJMSDistributedTopic(JMSDistributedTopicMBean member)

  Deprecated. 9.0.0.0

  Removes a JMSDistributedTopic from this domain

  Parameters:
    `member` -

### destroyJMSDistributedTopicMember

    public void destroyJMSDistributedTopicMember(JMSDistributedTopicMemberMBean topic)

  Deprecated. 9.0.0.0

  Removes a JMSDistributedTopicMember from this domain

  Parameters:
    `topic` -

### destroyJMSFileStore

    public void destroyJMSFileStore(JMSFileStoreMBean store)

  Deprecated. 9.0.0.0

  Removes a JMSFileStore from this domain

  Parameters:
    `store` -

### destroyJMSInteropModule

    public void destroyJMSInteropModule(JMSInteropModuleMBean bean)

  Destroy the given interop module bean and delete the descriptor file that it refers to.

  Parameters:
    `bean` - - bean to destroy
  Since:
    9.0.0.0

### destroyJMSJDBCStore

    public void destroyJMSJDBCStore(JMSJDBCStoreMBean store)

  Deprecated. 9.0.0.0

  Removes a JMSJDBCStore from this domain

  Parameters:
    `store` -

### destroyJMSQueue

    public void destroyJMSQueue(JMSQueueMBean queue)

  Deprecated. 9.0.0.0

  Removes a JMSQueue from this domain

  Parameters:
    `queue` -

### destroyJMSServer

    public void destroyJMSServer(JMSServerMBean jmsServer)

  Removes a JMSServer from this domain

  Parameters:
    `jmsServer` -

### destroyJMSSessionPool

    public void destroyJMSSessionPool(JMSSessionPoolMBean jmsSessionPool)

  Deprecated. 9.0.0.0

  deletes JMSSessionPool object

  Parameters:
    `jmsSessionPool` -

### destroyJMSSystemResource

    public void destroyJMSSystemResource(JMSSystemResourceMBean bean)

  Destroy the given system resource bean and delete the descriptor file that it refers to.

  Parameters:
    `bean` - - bean to destroy
  Since:
    9.0.0.0

### destroyJMSTemplate

    public void destroyJMSTemplate(JMSTemplateMBean template)

  Deprecated. 9.0.0.0

  Removes a JMSTemplate from this domain

  Parameters:
    `template` -

### destroyJMSTopic

    public void destroyJMSTopic(JMSTopicMBean topic)

  Deprecated. 9.0.0.0

  Removes a JMSTopic from this domain

  Parameters:
    `topic` -

### destroyJoltConnectionPool

    public void destroyJoltConnectionPool(JoltConnectionPoolMBean joltConnectionPool)

  deletes a JoltConnectionPool object

  Parameters:
    `joltConnectionPool` -

### destroyLogFilter

    public void destroyLogFilter(weblogic.management.configuration.LogFilterMBean logFilter)

  Destroy the given log filter MBean

  Parameters:
    `logFilter` -

### destroyMachine

    public void destroyMachine(MachineMBean machine)

  Removes a Machine from this domain

  Parameters:
    `machine` -

### destroyMailSession

    public void destroyMailSession(MailSessionMBean ms)

  Removes a MailSession from this domain

  Parameters:
    `ms` - the MailSession to destroy

### destroyMessagingBridge

    public void destroyMessagingBridge(MessagingBridgeMBean bridge)

  deletes MessagingBridge object

  Parameters:
    `bridge` -

### destroyNetworkChannel

    public void destroyNetworkChannel(NetworkChannelMBean channel)

  Deprecated. 9.0.0.0

  Removes a NetworkChannel from this domain

  Parameters:
    `channel` -

### destroyPathService

    public void destroyPathService(PathServiceMBean pathService)

  Removes a PathService from this domain

  Parameters:
    `pathService` -

### destroyRemoteSAFContext

    public void destroyRemoteSAFContext(RemoteSAFContextMBean remoteSAFContext)

  Removes a SAFRemoteContext from this domain

  Parameters:
    `remoteSAFContext` - object
  Since:
    9.0.0.0

### destroySAFAgent

    public void destroySAFAgent(weblogic.management.configuration.SAFAgentMBean sAFAgent)

  Removes a SAFAgent from this domain

  Parameters:
    `sAFAgent` - object

### destroyServer

    public void destroyServer(ServerMBean server)

  Destroys and removes a server which is a child of this Domain with the specified short name .

  Parameters:
    `server` - to destroy

### destroyShutdownClass

    public void destroyShutdownClass(ShutdownClassMBean sc)

  Removes a ShutdownClass from this domain

  Parameters:
    `sc` - The Shutdown class to destroy

### destroyStartupClass

    public void destroyStartupClass(StartupClassMBean sc)

  Removes a StartupClass from this domain

  Parameters:
    `sc` - the Shutdown class to destroy

### destroyVirtualHost

    public void destroyVirtualHost(VirtualHostMBean host)

  Removes a VirtualHost from this domain

  Parameters:
    `host` -

### destroyWebserviceSecurity

    public void destroyWebserviceSecurity(weblogic.management.configuration.WebserviceSecurityMBean wsc)

  destroy WebserviceSecurity object

  Parameters:
    `wsc` - WebserviceSecurity
  Since:
    9.0.0.0

### destroyWLDFSystemResource

    public void destroyWLDFSystemResource(weblogic.management.configuration.WLDFSystemResourceMBean bean)

  Destroy the given system resource bean and delete the descriptor file that it refers to.

  Parameters:
    `bean` - - bean to destroy
  Since:
    9.0.0.0

### destroyWLECConnectionPool

    public void destroyWLECConnectionPool(WLECConnectionPoolMBean store)

  Removes a WLECConnectionPool from this domain

  Parameters:
    `store` -

### destroyWSReliableDeliveryPolicy

    public void destroyWSReliableDeliveryPolicy(WSReliableDeliveryPolicyMBean policy)

  Removes a WSReliableDeliveryPolicy from this domain

  Parameters:
    `policy` -

### destroyWTCServer

    public void destroyWTCServer(WTCServerMBean wtcServer)

  deletes WTCServer object

  Parameters:
    `wtcServer` -

### destroyXMLEntityCache

    public void destroyXMLEntityCache(XMLEntityCacheMBean cache)

  Factory method to destroys an XMLEntityCache Object

### destroyXMLRegistry

    public void destroyXMLRegistry(XMLRegistryMBean registry)

  Removes a XMLRegistry from this domain

  Parameters:
    `registry` -

### discoverManagedServer

    public boolean discoverManagedServer(String serverName)

  Admin Server's knowledge of running Managed Servers is refreshed. Particularly useful when Admin Server is re-started.

### discoverManagedServers

    public void discoverManagedServers()

  Admin Server's knowledge of running Managed Servers is refreshed. Particularly useful when Admin Server is re-started.

### getAdministrationPort

    public int getAdministrationPort()

  The common secure administration port for this WebLogic Server domain. (Requires you to enable the administration port.)

  Returns:
    The administrationPort value
  See Also:
    `isAdministrationPortEnabled()`, `ServerMBean.getAdministrationPort()`
  Default value:
    9002
  Minimum value:
    1
  Maximum value:
    65534
  A dynamic MBean attribute.

### getAdministrationProtocol

    public String getAdministrationProtocol()

  The default protocol for communicating through the administration port or administration channels. (Requires you to enable the administration port or to create an administration channel.)

  If requests through the administration port or an administration channel do not specify a protocol, WebLogic Server uses the protocol specified here.

  Returns:
    The administrationProtocol value
  Since:
    9.0.0.0
  See Also:
    `isAdministrationPortEnabled()`
  Default value:
    "t3s"
  Legal values:
    "t3s","https","iiops","t3","http","iiop"
  A dynamic MBean attribute.
    false

### getAdminServerName

    public String getAdminServerName()

  Returns:
    Admin Server in this domain

### getAppDeployments

    public weblogic.management.configuration.AppDeploymentMBean[] getAppDeployments()

  The collection of deployable entities in this domain. This replaces the Application in previous versions.

  Returns:
    the deployables for this domain.
  Since:
    9.0.0.0
  A dynamic MBean attribute.

### getApplications

    public ApplicationMBean[] getApplications()

  Deprecated. 9.0.0.0

  Define applications for this Domain

  A dynamic MBean attribute.

### getArchiveConfigurationCount

    public int getArchiveConfigurationCount()

  The number of archival versions of `config.xml` saved by the Administration Server each time the domain configuration is modified.

  Returns:
    The archiveConfigurationCount value
  Default value:
    0

### getBridgeDestinations

    public BridgeDestinationMBean[] getBridgeDestinations()

  Deprecated. 9.0.0.0

  Return the BridgeDestinations for this Domain.

  Returns:
    The BridgeDestinations value

### getClusters

    public ClusterMBean[] getClusters()

  Returns the ClusterMBeans representing the cluster that have been configured to be part of this domain.

  Returns:
    The clusters value
  A dynamic MBean attribute.
    true

### getConfigurationAuditType

    public String getConfigurationAuditType()

  Returns the criteria used for auditing configuration events (configuration changes and other operations):
  - `CONFIG_CHANGE_NONE` Configuration events will neither be written to the server log or directed to the Security Audit Framework.
  - `CONFIG_CHANGE_LOG` Configuration events will be written to the server log.
  - `CONFIG_CHANGE_AUDIT`Configuration events will be directed to the Security Audit Framework.
  - `CONFIG_CHANGE_LOG_AND_AUDIT` Configuration events will be written to the server log and directed to the Security Audit Framework.

  Returns:
    auditType DomainMBean.CONFIG_CHANGE_NONE,DomainMBean.CONFIG_CHANGE_LOG,DomainMBean.CONFIG_CHANGE_AUDIT,DomainMBean.CONFIG_CHANGE_LOG_AND_AUDIT
  Default value:
    DomainMBean.CONFIG_CHANGE_NONE
  A dynamic MBean attribute.

### getConfigurationVersion

    public String getConfigurationVersion()

  The release identifier for the configuration. This identifier will be used to indicate the version of the configuration. All server generated configurations will be established with the release identifier of the running server. The form of the version is major.minor.servicepack.rollingpatch. Not all parts of the version are required. i.e. "7" is acceptable.

  Returns:
    The configurationVersion value
  Default value:
    null
  A dynamic MBean attribute.

### getConsoleContextPath

    public String getConsoleContextPath()

  The context path that you want to use in URLs that specify the Administration Console. (Requires you to enable the Administration Console for the current domain.)

  To access the Administration Console, you use the following URL: http://listen-addess:listen-port/context-path. For example, if you set the context path to `myconsole`, then you use the following URL to access the Administration Console: `http://localhost:7001/myconsole`.

  To specify the listen address and listen port that you use to access the Administration Console, configure the listen address and listen port of the Administration Server.

  Returns:
    The consoleContextPath value
  See Also:
    `isConsoleEnabled()`, `ServerMBean.getListenAddress()`, `ServerMBean.getListenPort()`
  Default value:
    "console"

### getConsoleExtensionDirectory

    public String getConsoleExtensionDirectory()

  Returns the directory path that console extensions are loaded from.

  Returns:
    The console extension directory
  See Also:
    `isConsoleEnabled()`
  Default value:
    "console-ext"

### getCustomResources

    public weblogic.management.configuration.CustomResourceMBean[] getCustomResources()

  Returns the JMSSystemResourceMBeans that have been defined for this domain.

  Returns:
    array of CustomResourceMBean objects
  Since:
    9.1.0.0
  A dynamic MBean attribute.
    true

### getDeploymentConfiguration

    public DeploymentConfigurationMBean getDeploymentConfiguration()

  Return the deployment configuration for this Domain.

  Returns:
    The deployment configuration

### getDeployments

    public DeploymentMBean[] getDeployments()

  Returns the DeploymentsMBeans representing the deployments that have been deployed to be part of this domain.

  Returns:
    all of the deployments mbeans for this Domain.

### getDisconnectedManagedServers

    public Object[] getDisconnectedManagedServers()

  Deprecated. Use the ServerLifecycleRuntime

  this method provides an array of strings that are the names of the managed servers that are not currently connected.

### getDomainLogFilters

    public DomainLogFilterMBean[] getDomainLogFilters()

  Deprecated. 9.0.0.0

  Gets the array of domain log filters defined in the domain

  A dynamic MBean attribute.

### getEmbeddedLDAP

    public EmbeddedLDAPMBean getEmbeddedLDAP()

  Returns the embedded LDAP configuration for this domain.

  Returns:
    The embeddedLDAP value
  A dynamic MBean attribute.
    false

### getErrorHandlings

    public ErrorHandlingMBean[] getErrorHandlings()

  Get ErrorHandlingMBean for this Domain

  Returns:
    array of ErrorHandlingMBean objects.
  Since:
    9.0.0.0

### getFileStores

    public weblogic.management.configuration.FileStoreMBean[] getFileStores()

  Return file stores defined in this domain

  Returns:
    defined filestores.
  Since:
    9.0.0.0
  A dynamic MBean attribute.
    true

### getInternalAppDeployments

    public weblogic.management.configuration.AppDeploymentMBean[] getInternalAppDeployments()

  The collection of internal application deployments in this domain

  Returns:
    the internal AppDeployments for this domain
  Since:
    9.0.0.0
  A dynamic MBean attribute.

### getInternalLibraries

    public LibraryMBean[] getInternalLibraries()

  The collection of internal libraries in this domain

  Since:
    9.0.0.0

### getJDBCConnectionPools

    public JDBCConnectionPoolMBean[] getJDBCConnectionPools()

  Deprecated. 9.0.0.0 Replaced by `weblogic.management.configuration.DomainMBean#JDBCSystemResources`

  Returns the JDBCConnectionPoolMBeans representing the pools that have been configured to be part of this domain.

  Returns:
    The pool array
  A dynamic MBean attribute.

### getJDBCDataSourceFactories

    public JDBCDataSourceFactoryMBean[] getJDBCDataSourceFactories()

  Deprecated. 9.0.0.0 Replaced by `weblogic.management.configuration.DomainMBean#AppDeployment`

  Define JDBCDataSourceFactories for this Domain

  A dynamic MBean attribute.

### getJDBCDataSources

    public JDBCDataSourceMBean[] getJDBCDataSources()

  Deprecated. 9.0.0.0 Replaced by `weblogic.management.configuration.DomainMBean#JDBCSystemResources`

  Returns the JDBCDataSourceMBeans representing the data sources that have been configured to be part of this domain.

  Returns:
    The datasource array
  A dynamic MBean attribute.

### getJDBCMultiPools

    public JDBCMultiPoolMBean[] getJDBCMultiPools()

  Deprecated. 9.0.0.0 Replaced by `weblogic.management.configuration.DomainMBean#JDBCSystemResources`

  Returns the JDBCMultiPool representing the multi-pools that have been configured to be part of this domain.

  Returns:
    The multi-pool array
  A dynamic MBean attribute.

### getJDBCStores

    public weblogic.management.configuration.JDBCStoreMBean[] getJDBCStores()

  Return file stores defined in this domain

  Returns:
    defined filestores.
  Since:
    9.0.0.0
  A dynamic MBean attribute.
    true

### getJDBCSystemResources

    public JDBCSystemResourceMBean[] getJDBCSystemResources()

  Returns the JDBCSystemResourceMBeans that have been defined for this domain

  Returns:
    array of JDBCSystemResourceMBean objects
  Since:
    9.0.0.0
  A dynamic MBean attribute.

### getJDBCTxDataSources

    public JDBCTxDataSourceMBean[] getJDBCTxDataSources()

  Deprecated. 9.0.0.0 Replaced by `weblogic.management.configuration.DomainMBean#JDBCSystemResources`

  Returns the JDBCTxDataSource representing the JDBCTxDataSource which has been configured in this domain

  Returns:
    The multi-pool array
  A dynamic MBean attribute.

### getJMSBridgeDestinations

    public JMSBridgeDestinationMBean[] getJMSBridgeDestinations()

  Return the JMSBridgeDestinations for this Domain.

  Returns:
    The JMSBridgeDestinations value

### getJMSConnectionFactories

    public JMSConnectionFactoryMBean[] getJMSConnectionFactories()

  Deprecated. 9.0.0.0

  Return the JMSConnectionFactorys for this Domain.

  Returns:
    The JMSConnectionFactorys value

### getJMSDestinationKeys

    public JMSDestinationKeyMBean[] getJMSDestinationKeys()

  Deprecated. 9.0.0.0

  Retrieve JMSDestinationKeys for this Domain

### getJMSDestinations

    public JMSDestinationMBean[] getJMSDestinations()

  Deprecated. 9.0.0.0

  Retrieve JMSDestinations for this Domain

### getJMSDistributedQueueMembers

    public JMSDistributedQueueMemberMBean[] getJMSDistributedQueueMembers()

  Deprecated. 9.0.0.0

  Define JMSDistributedQueueMembers for this Domain

### getJMSDistributedQueues

    public JMSDistributedQueueMBean[] getJMSDistributedQueues()

  Deprecated. 9.0.0.0

  Define JMSDistributedQueues for this Domain

### getJMSDistributedTopicMembers

    public JMSDistributedTopicMemberMBean[] getJMSDistributedTopicMembers()

  Deprecated. 9.0.0.0

  Define JMSDistributedTopicMembers for this Domain

### getJMSDistributedTopics

    public JMSDistributedTopicMBean[] getJMSDistributedTopics()

  Deprecated. 9.0.0.0

  Define JMSDistributedTopics for this Domain

### getJMSFileStores

    public JMSFileStoreMBean[] getJMSFileStores()

  Deprecated. 9.0.0.0

  Define JMSFileStores for this Domain

  A dynamic MBean attribute.

### getJMSInteropModules

    public JMSInteropModuleMBean[] getJMSInteropModules()

  Returns the JMS Interop Module that have been defined for this domain.

  Returns:
    array of JMSInteropModuleMBean objects
  Since:
    9.0.0.0
  A dynamic MBean attribute.
    true

### getJMSJDBCStores

    public JMSJDBCStoreMBean[] getJMSJDBCStores()

  Deprecated. 9.0.0.0

  Define JMSJDBCStores for this Domain

### getJMSQueues

    public JMSQueueMBean[] getJMSQueues()

  Deprecated. 9.0.0.0

  Define JMSQueues for this Domain

### getJMSServers

    public JMSServerMBean[] getJMSServers()

  Define JMSServers for this Domain

  A dynamic MBean attribute.

### getJMSSessionPools

    public JMSSessionPoolMBean[] getJMSSessionPools()

  Deprecated. 9.0.0.0

  Return the JMSSessionPools for this Domain.

  Returns:
    The JMSSessionPools value

### getJMSStores

    public JMSStoreMBean[] getJMSStores()

  Deprecated. 9.0.0.0

  Define JMSStores for this Domain

  A dynamic MBean attribute.

### getJMSSystemResources

    public JMSSystemResourceMBean[] getJMSSystemResources()

  Returns the JMSSystemResourceMBeans that have been defined for this domain.

  Returns:
    array of JMSSystemResourceMBean objects
  Since:
    9.0.0.0
  A dynamic MBean attribute.
    , true

### getJMSTemplates

    public JMSTemplateMBean[] getJMSTemplates()

  Deprecated. 9.0.0.0

  Define JMSTemplates for this Domain

### getJMSTopics

    public JMSTopicMBean[] getJMSTopics()

  Deprecated. 9.0.0.0

  Define JMSTopics for this Domain

### getJMX

    public JMXMBean getJMX()

  The configuration of the JMX Subsystem.

  Returns:
    the JMX configuration
  Since:
    9.0.0.0

### getJoltConnectionPools

    public JoltConnectionPoolMBean[] getJoltConnectionPools()

  Return the JoltConnectionPools for this Domain.

  Returns:
    Array of JoltConnectionPoolMBeans

### getJTA

    public JTAMBean getJTA()

  Return the JTA configuration for this Domain.

  Returns:
    The JTA value

### getLastModificationTime

    public long getLastModificationTime()

  Return the last time this domain was updated. This is guaranteed to be unique for a given transactional modification.

  Returns:
    The lastModificationTime value

### getLibraries

    public LibraryMBean[] getLibraries()

  Since:
    9.0.0.0
  A dynamic MBean attribute.
    true

### getLog

    public LogMBean getLog()

  Return the domain logfile configuration for this domain.

  Returns:
    The Log value

### getLogFilters

    public weblogic.management.configuration.LogFilterMBean[] getLogFilters()

  Gets the array of log filters defined in the domain

  Since:
    9.0.0.0
  A dynamic MBean attribute.

### getMachines

    public MachineMBean[] getMachines()

  Define machines for this Domain

  A dynamic MBean attribute.

### getMailSessions

    public MailSessionMBean[] getMailSessions()

  Retrieve MailSessions for this Domain

  A dynamic MBean attribute.

### getMessagingBridges

    public MessagingBridgeMBean[] getMessagingBridges()

  Returns the MessagingBridgeMBean representing the messaging bridges that have been configured to be part of this domain.

  Returns:
    The messaging bridge array
  A dynamic MBean attribute.

### getNetworkChannels

    public NetworkChannelMBean[] getNetworkChannels()

  Deprecated. 9.0.0.0

  Define NetworkChannels for this Domain

### getRemoteSAFContexts

    public RemoteSAFContextMBean[] getRemoteSAFContexts()

  Get RemoteSAFContextMBean for this Domain

  Returns:
    array of RemoteSAFContextMBean objects.
  Since:
    9.0.0.0

### getRootDirectory

    public String getRootDirectory()

  Return the root directory for the domain. In other words for a server process [ServerMBean.getRootDirectory] or [ServerMBean.getDomainDirectory]

  Returns:
    The rootDirectory value

### getSAFAgents

    public weblogic.management.configuration.SAFAgentMBean[] getSAFAgents()

  Get SAFAgentMBean for this Domain

  Returns:
    array of SAFAgentMBean objects.
  A dynamic MBean attribute.
    true

### getSecurity

    public SecurityMBean getSecurity()

  Deprecated. 9.0.0.0

  Return the (old) security configuration for this domain.

  Returns:
    The security value

### getSecurityConfiguration

    public SecurityConfigurationMBean getSecurityConfiguration()

  Return the (new) security configuration for this domain.

  Returns:
    The securityConfiguration value

### getSelfTuning

    public SelfTuningMBean getSelfTuning()

  Get the WorkManager configuration pieces for this domain

  A dynamic MBean attribute.

### getServers

    public ServerMBean[] getServers()

  Returns the ServerMBeans representing the servers that have been configured to be part of this domain.

  Returns:
    The servers value
  A dynamic MBean attribute.
    true

### getShutdownClasses

    public ShutdownClassMBean[] getShutdownClasses()

  Retrieve ShutdownClasses for this Domain

  A dynamic MBean attribute.

### getSNMPAgent

    public SNMPAgentMBean getSNMPAgent()

  Return the SNMPAgentMBean for this domain. This is a singleton MBean describing SNMP Agent configuration details. This MBean has getters and setters for other SNMP related configuration MBeans.

  Returns:
    The SNMPAgent value

### getStartupClasses

    public StartupClassMBean[] getStartupClasses()

  Retrieve StartupClasses for this Domain

  A dynamic MBean attribute.

### getSystemResources

    public SystemResourceMBean[] getSystemResources()

  Return the SystemResourceMBeans in this Domain.

  Returns:
    the SystemResourceMBeans
  Since:
    9.0.0.0

### getTargets

    public TargetMBean[] getTargets()

  Define targets for this Domain

### getVirtualHosts

    public VirtualHostMBean[] getVirtualHosts()

  Define VirtualHosts for this Domain

  A dynamic MBean attribute.

### getWebAppContainer

    public WebAppContainerMBean getWebAppContainer()

  Collection of global properties to be applied on all webapps in this domain.

  Returns:
    The WebAppContainer value

### getWebserviceSecurities

    public weblogic.management.configuration.WebserviceSecurityMBean[] getWebserviceSecurities()

  Returns:
    an array of WebserviceSecurity objects
  Since:
    9.0.0.0
  A dynamic MBean attribute.

### getWLDFSystemResources

    public weblogic.management.configuration.WLDFSystemResourceMBean[] getWLDFSystemResources()

  Returns the WLDFSystemResourceMBeans that have been defined for this domain.

  Returns:
    array of WLDFSystemResourceMBean objects
  Since:
    9.0.0.0
  A dynamic MBean attribute.

### getWLECConnectionPools

    public WLECConnectionPoolMBean[] getWLECConnectionPools()

  Get WLECConnectionPools for this Domain

  Returns:
    array of WLECConnectionPool objects.

### getWSReliableDeliveryPolicies

    public WSReliableDeliveryPolicyMBean[] getWSReliableDeliveryPolicies()

  Define wSReliableDeliveryPolicies for this Domain

  A dynamic MBean attribute.

### getWTCServers

    public WTCServerMBean[] getWTCServers()

  Return the WTCServerMBeans for this Domain.

  Returns:
    The WTCServers value
  A dynamic MBean attribute.
    true

### getXMLEntityCaches

    public XMLEntityCacheMBean[] getXMLEntityCaches()

  Returns all the XMLEntityCache objects defined in this domain

  Returns:
    list of XMLEntityCache objects

### getXMLRegistries

    public XMLRegistryMBean[] getXMLRegistries()

  Define xMLRegistries for this Domain

  A dynamic MBean attribute.

### isAdministrationMBeanAuditingEnabled

    public boolean isAdministrationMBeanAuditingEnabled()

  Deprecated. Please use `DomainMBean.getConfigurationAuditType()`

  Specifies whether the Administration Server generates a log message when this WebLogic Server domain's configuration has been modified.

  Any change to a server, module, or other item in the domain (either through the Administration Console, command-line utilities, or the APIs) will cause the Administration Server to generate this informational message.

  This attribute has been deprecated in favor of ConfigurationAuditType. If values for both attributes are specified, the resultant behavior will be the logical OR condition of the two settings.

  Returns:
    The admininstrationMBeanAuditingEnabled value
  Default value:
    false
  A dynamic MBean attribute.

### isAdministrationPortEnabled

    public boolean isAdministrationPortEnabled()

  Specifies whether the domain-wide administration port should be enabled for this WebLogic Server domain. Because the administration port uses SSL, enabling the administration port requires that SSL must be configured for all servers in the domain.

  The domain-wide administration port enables you to start a WebLogic Server instance in `STANDBY` state. It also allows you to separate administration traffic from application traffic in your domain. Because all servers in the domain must enable or disable the administration port at once, you configure the default administration port settings at the domain level.

  If you enable the administration port:

  - The administration port accepts only connections that specify administrator credentials.

  - Connections that specify administrator credentials can use only the administration port.

  - The command that starts managed servers must specify a secure protocol and the administration port: `-Dweblogic.management.server=https://admin_server:administration_port`

  Returns:
    The administrationPortEnabled value
  See Also:
    `getAdministrationPort()`, `getAdministrationProtocol()`, `ServerMBean.isAdministrationPortEnabled()`, `ServerMBean.getAdministrationPort()`, `KernelMBean.getSSL()`
  Default value:
    false
  A dynamic MBean attribute.

### isAutoConfigurationSaveEnabled

    public boolean isAutoConfigurationSaveEnabled()

  Deprecated. 9.0.0.0 The configuration is explicit written on a save call.

  Causes the server to periodically persist changes to its configuration.

  Returns:
    The autoConfigurationSaveEnabled value
  Default value:
    true

### isClusterConstraintsEnabled

    public boolean isClusterConstraintsEnabled()

  Specifies that deployments targeted to a cluster succeed only if all servers in the cluster are running.

  By default, cluster constraints are disabled and deployment is attempted only on the servers that are reachable at the time of deployment from the Administration Server. Any servers that have been shut down or are temporarily partitioned from the Administration Server will retrieve the deployment during server startup or shortly after the network partition is resolved.

  Returns:
    The isClusterConstraints value
  Default value:
    false

### isConfigBackupEnabled

    public boolean isConfigBackupEnabled()

  If true, then backups of the configuration will be made during server boot.

  Returns:
    The ConfigBackupEnabled value
  Default value:
    false

### isConsoleEnabled

    public boolean isConsoleEnabled()

  Specifies whether the Administration Server automatically deploys the Administration Console in the current domain.

  If the Administration Console is not deployed, you can still use the WebLogic Scripting Tool or the management APIs to configure and monitor the domain.

  Returns:
    The consoleEnabled value
  Default value:
    true

### isProductionModeEnabled

    public boolean isProductionModeEnabled()

  Specifies whether all servers in this domain run in production mode.

  You can configure servers in your domain to start in one of two modes, development or production. You use development mode while you are developing your applications. Development mode uses a relaxed security configuration and enables you to auto-deploy applications. You use production mode when your application is running in its final form. A production domain uses full security and may use clusters or other advanced features.

  The runtime mode is a domain-wide setting. As each Managed Server starts, it refers to the mode of the Administration Server to determine its runtime mode. If you configure the domain to run in production mode, the Administration Server saves this setting to the domain’s configuration document.

  Returns:
    The productionModeEnabled value
  A dynamic MBean attribute.

### kill

    public HashMap kill()

  Deprecated. 9.0.0.0

### lookupAppDeployment

    public weblogic.management.configuration.AppDeploymentMBean lookupAppDeployment(String name)

  Returns:
    the named application deployment.
  Since:
    9.0.0.0

### lookupApplication

    public ApplicationMBean lookupApplication(String name)

  Deprecated. 9.0.0.0

  Parameters:
    `name` -
  Returns:
    Application object

### lookupBridgeDestination

    public BridgeDestinationMBean lookupBridgeDestination(String name)

  Parameters:
    `name` -
  Returns:
    BridgeDestination object

### lookupCluster

    public ClusterMBean lookupCluster(String name)

  Parameters:
    `name` -
  Returns:
    Cluster object

### lookupCustomResource

    public weblogic.management.configuration.CustomResourceMBean lookupCustomResource(String name)

  Find a JMSSystem resource with the given name

  Parameters:
    `name` - The name of the JMS system resource
  Returns:
    The system resource with the given name, or null if none with that name exist

### lookupDomainLogFilter

    public DomainLogFilterMBean lookupDomainLogFilter(String name)

  Deprecated. 9.0.0.0

  Looks up a domain log filter by name

  Parameters:
    `name` -

### lookupErrorHandling

    public ErrorHandlingMBean lookupErrorHandling(String name)

  Parameters:
    `name` -
  Returns:
    ErrorHandling object
  Since:
    9.0.0.0

### lookupFileStore

    public weblogic.management.configuration.FileStoreMBean lookupFileStore(String name)

  Parameters:
    `name` -
  Returns:
    FileStore object
  Since:
    9.0.0.0

### lookupForeignJNDIProvider

    public ForeignJNDIProviderMBean lookupForeignJNDIProvider(String name)

  Find a ForeignJNDIProvider resource with the given name

  Parameters:
    `name` -
  Since:
    9.0.0.0

### lookupInternalAppDeployment

    public weblogic.management.configuration.AppDeploymentMBean lookupInternalAppDeployment(String name)

  Parameters:
    `name` - of the internal application deployment
  Returns:
    the application deployment
  Since:
    9.0.0.0

### lookupInternalLibrary

    public LibraryMBean lookupInternalLibrary(String name)

  Parameters:
    `name` - of the internal library
  Returns:
    the library
  Since:
    9.0.0.0

### lookupJDBCConnectionPool

    public JDBCConnectionPoolMBean lookupJDBCConnectionPool(String name)

  Deprecated. 9.0.0.0 Replaced by `weblogic.management.configuration.DomainMBean#JDBCSystemResources`

  Lookup a particular JDBCConnectionPool from the list.

  Parameters:
    `name` -
  Returns:
    a server instance.

### lookupJDBCDataSource

    public JDBCDataSourceMBean lookupJDBCDataSource(String name)

  Deprecated. 9.0.0.0 Replaced by `weblogic.management.configuration.DomainMBean#JDBCSystemResources`

  Lookup a particular JDBCDataSource from the list.

  Parameters:
    `name` -
  Returns:
    a server instance.

### lookupJDBCDataSourceFactory

    public JDBCDataSourceFactoryMBean lookupJDBCDataSourceFactory(String name)

  Deprecated. 9.0.0.0 Replaced by `weblogic.management.configuration.DomainMBean#AppDeployment`

  Parameters:
    `name` -
  Returns:
    a JDBCDataSourceFactory object

### lookupJDBCMultiPool

    public JDBCMultiPoolMBean lookupJDBCMultiPool(String name)

  Deprecated. 9.0.0.0 Replaced by `weblogic.management.configuration.DomainMBean#JDBCSystemResources`

  Lookup a particular JDBCMultiPool from the list.

  Parameters:
    `name` -
  Returns:
    a server instance.

### lookupJDBCStore

    public weblogic.management.configuration.JDBCStoreMBean lookupJDBCStore(String name)

  Parameters:
    `name` -
  Returns:
    JDBCStore object
  Since:
    9.0.0.0

### lookupJDBCSystemResource

    public JDBCSystemResourceMBean lookupJDBCSystemResource(String name)

  Parameters:
    `name` -
  Returns:
    JDBCSystemResourceMBean
  Since:
    9.0.0.0

### lookupJDBCTxDataSource

    public JDBCTxDataSourceMBean lookupJDBCTxDataSource(String name)

  Deprecated. 9.0.0.0 Replaced by `weblogic.management.configuration.DomainMBean#JDBCSystemResources`

  Lookup a particular JDBCTxDataSource from the list.

  Parameters:
    `name` -
  Returns:
    a server instance.

### lookupJMSBridgeDestination

    public JMSBridgeDestinationMBean lookupJMSBridgeDestination(String name)

  Parameters:
    `name` -
  Returns:
    JMSBridgeDestination object

### lookupJMSConnectionFactory

    public JMSConnectionFactoryMBean lookupJMSConnectionFactory(String name)

  Deprecated. 9.0.0.0

  Parameters:
    `name` -
  Returns:
    JMSConnectionFactory object

### lookupJMSDestination

    public JMSDestinationMBean lookupJMSDestination(String name)

  Parameters:
    `name` -
  Returns:
    JMSDestination object

### lookupJMSDestinationKey

    public JMSDestinationKeyMBean lookupJMSDestinationKey(String name)

  Deprecated. 9.0.0.0

  Parameters:
    `name` -
  Returns:
    JMSDestination object

### lookupJMSDistributedQueue

    public JMSDistributedQueueMBean lookupJMSDistributedQueue(String name)

  Deprecated. 9.0.0.0

  Returns:
    JMSDistributedQueue object

### lookupJMSDistributedQueueMember

    public JMSDistributedQueueMemberMBean lookupJMSDistributedQueueMember(String name)

  Deprecated. 9.0.0.0

  Returns:
    JMSDistributedQueueMember object

### lookupJMSDistributedTopic

    public JMSDistributedTopicMBean lookupJMSDistributedTopic(String name)

  Deprecated. 9.0.0.0

  Parameters:
    `name` -
  Returns:
    JMSDistributedTopic object

### lookupJMSDistributedTopicMember

    public JMSDistributedTopicMemberMBean lookupJMSDistributedTopicMember(String name)

  Deprecated. 9.0.0.0

  Returns:
    JMSDistributedTopicMember object

### lookupJMSFileStore

    public JMSFileStoreMBean lookupJMSFileStore(String name)

  Deprecated. 9.0.0.0

  Parameters:
    `name` -
  Returns:
    JMSFileStore object

### lookupJMSInteropModule

    public JMSInteropModuleMBean lookupJMSInteropModule(String name)

  Find a JMSInterop resource with the given name

  Parameters:
    `name` - The name of the JMS Interop resource
  Returns:
    The system resource with the given name, or null if none with that name exist

### lookupJMSJDBCStore

    public JMSJDBCStoreMBean lookupJMSJDBCStore(String name)

  Deprecated. 9.0.0.0

  Parameters:
    `name` -
  Returns:
    JMSJDBCStore object

### lookupJMSQueue

    public JMSQueueMBean lookupJMSQueue(String name)

  Deprecated. 9.0.0.0

  Parameters:
    `name` -
  Returns:
    JMSQueue object

### lookupJMSServer

    public JMSServerMBean lookupJMSServer(String name)

  Parameters:
    `name` -
  Returns:
    JMSServer object

### lookupJMSSessionPool

    public JMSSessionPoolMBean lookupJMSSessionPool(String name)

  Deprecated. 9.0.0.0

  Parameters:
    `name` -
  Returns:
    JMSSessionPool object

### lookupJMSStore

    public JMSStoreMBean lookupJMSStore(String name)

  Deprecated. 9.0.0.0

  Parameters:
    `name` -
  Returns:
    JMSStore object

### lookupJMSSystemResource

    public JMSSystemResourceMBean lookupJMSSystemResource(String name)

  Find a JMSSystem resource with the given name

  Parameters:
    `name` - The name of the JMS system resource
  Returns:
    The system resource with the given name, or null if none with that name exist

### lookupJMSTemplate

    public JMSTemplateMBean lookupJMSTemplate(String name)

  Deprecated. 9.0.0.0

  Parameters:
    `name` -
  Returns:
    JMSTemplate object

### lookupJMSTopic

    public JMSTopicMBean lookupJMSTopic(String name)

  Deprecated. 9.0.0.0

  Parameters:
    `name` -
  Returns:
    JMSTopic object

### lookupJoltConnectionPool

    public JoltConnectionPoolMBean lookupJoltConnectionPool(String name)

  Find a JoltConnectionPool object with this name

  Parameters:
    `name` -
  Returns:
    JoltConnectionPoolMBean object

### lookupLibrary

    public LibraryMBean lookupLibrary(String name)

  Look up the named module.

  Since:
    9.0.0.0

### lookupLogFilter

    public weblogic.management.configuration.LogFilterMBean lookupLogFilter(String name)

  Looks up a log filter by name

  Parameters:
    `name` -

### lookupMachine

    public MachineMBean lookupMachine(String name)

  Parameters:
    `name` -
  Returns:
    Machine object

### lookupMailSession

    public MailSessionMBean lookupMailSession(String name)

  Parameters:
    `name` -
  Returns:
    MailSession object

### lookupMessagingBridge

    public MessagingBridgeMBean lookupMessagingBridge(String name)

  Parameters:
    `name` -
  Returns:
    MessagingBridge object

### lookupMigratableTarget

    public MigratableTargetMBean lookupMigratableTarget(String name)

  Lookup a particular MigratableTarget from the list.

  Parameters:
    `name` -
  Returns:
    a server instance.

### lookupNetworkChannel

    public NetworkChannelMBean lookupNetworkChannel(String name)

  Deprecated. 9.0.0.0

  Parameters:
    `name` -
  Returns:
    NetworkChannel object

### lookupRemoteSAFContext

    public RemoteSAFContextMBean lookupRemoteSAFContext(String name)

  Parameters:
    `name` -
  Returns:
    SAFRemoteContext object
  Since:
    9.0.0.0

### lookupSAFAgent

    public weblogic.management.configuration.SAFAgentMBean lookupSAFAgent(String name)

  Parameters:
    `name` -
  Returns:
    SAFAgent object

### lookupServer

    public ServerMBean lookupServer(String name)

  Lookup a particular server from the list.

  Parameters:
    `name` -
  Returns:
    a server instance.

### lookupShutdownClass

    public ShutdownClassMBean lookupShutdownClass(String name)

  Parameters:
    `name` -
  Returns:
    ShutdownClass object

### lookupStartupClass

    public StartupClassMBean lookupStartupClass(String name)

  Parameters:
    `name` -
  Returns:
    StartupClass object

### lookupSystemResource

    public SystemResourceMBean lookupSystemResource(String name)

  Lookup a particular SystemResource in this domain.

  Returns:
    the SystemResource
  Since:
    9.0.0.0

### lookupTarget

    public TargetMBean lookupTarget(String name)
                             throws IllegalArgumentException

  Throws:
    `IllegalArgumentException`

### lookupVirtualHost

    public VirtualHostMBean lookupVirtualHost(String name)

  Parameters:
    `name` -
  Returns:
    VirtualHost object

### lookupWebserviceSecurity

    public weblogic.management.configuration.WebserviceSecurityMBean lookupWebserviceSecurity(String name)

  look up WebserviceSecurityConfiguration object

  Parameters:
    `name` - name of WebserviceSecurityConfiguration
  Returns:
    WebserviceSecurityConfiguration object
  Since:
    9.0.0.0

### lookupWLDFSystemResource

    public weblogic.management.configuration.WLDFSystemResourceMBean lookupWLDFSystemResource(String name)

  Looks up a WLDFSystemResourceMBean by name.

  Parameters:
    `name` - The name of the WLDFSystemResource.
  Returns:
  Since:
    9.0.0.0

### lookupWLECConnectionPool

    public WLECConnectionPoolMBean lookupWLECConnectionPool(String name)

  Parameters:
    `name` -
  Returns:
    WLECConnectionPool object

### lookupWSReliableDeliveryPolicy

    public WSReliableDeliveryPolicyMBean lookupWSReliableDeliveryPolicy(String name)

  Parameters:
    `name` -
  Returns:
    WSReliableDeliveryPolicy object

### lookupWTCServer

    public WTCServerMBean lookupWTCServer(String name)

  Parameters:
    `name` -
  Returns:
    WTCCServer object

### lookupXMLEntityCache

    public XMLEntityCacheMBean lookupXMLEntityCache(String name)

  Returns an XMLEntityCache object if the given name

  Parameters:
    `name` - of the XMLEntityCache
  Returns:
    XMLEntityCache object

### lookupXMLRegistry

    public XMLRegistryMBean lookupXMLRegistry(String name)

  Parameters:
    `name` -
  Returns:
    XMLRegistry object

### setAdministrationMBeanAuditingEnabled

    public void setAdministrationMBeanAuditingEnabled(boolean choice)

  Deprecated. Please use `DomainMBean.setConfigurationAuditType()`

  Sets the value of the AdministrationMBeanAuditingEnabled attribute.

  Parameters:
    `choice` - The new administrationMBeanAuditingEnabled value
  See Also:
    `isAdministrationMBeanAuditingEnabled()`

### setAdministrationPort

    public void setAdministrationPort(int port)
                               throws InvalidAttributeValueException

  Sets the AdministrationPort attribute of the DomainMBean object

  Parameters:
    `port` - The new administrationPort value
  Throws:
    `InvalidAttributeValueException`

### setAdministrationPortEnabled

    public void setAdministrationPortEnabled(boolean enable)
                                      throws InvalidAttributeValueException

  Sets the value of the AdministrationPortEnabled attribute.

  Parameters:
    `enable` - The new administrationPortEnabled value
  Throws:
    `InvalidAttributeValueException`
  See Also:
    `isAdministrationPortEnabled()`

### setAdministrationProtocol

    public void setAdministrationProtocol(String protocol)

  Sets the protocol to be used for admin connections when none is specified.

  Parameters:
    `protocol` - The new adminProtocol value

### setAdminServerName

    public void setAdminServerName(String name)

  Parameters:
    `name` - admin server name
  A dynamic MBean attribute.
    false

### setArchiveConfigurationCount

    public void setArchiveConfigurationCount(int count)

  Sets the value of the ArchiveConfigurationCount attribute.

  Parameters:
    `count` - The new archiveConfigurationCount value
  See Also:
    `getArchiveConfigurationCount()`

### setAutoConfigurationSaveEnabled

    public void setAutoConfigurationSaveEnabled(boolean choice)

  Sets the value of the AutoConfigurationSaveEnabled attribute.

  Parameters:
    `choice` - The new autoConfigurationSaveEnabled value
  See Also:
    `isAutoConfigurationSaveEnabled()`

### setClusterConstraintsEnabled

    public void setClusterConstraintsEnabled(boolean enableClusterConstraints)

  Sets the value of the ClusterConstrainEnabled attribute.

  See Also:
    `isClusterConstraintsEnabled()`

### setConfigBackupEnabled

    public void setConfigBackupEnabled(boolean enable)

  Sets the value of the ConfigBackupEnabled attribute.

  Parameters:
    `enable` -
  See Also:
    `isConfigBackupEnabled()`

### setConfigurationAuditType

    public void setConfigurationAuditType(String auditType)
                                   throws InvalidAttributeValueException

  Sets the criteria for auditing configuration events (configuration changes and other operations):
  - `CONFIG_CHANGE_NONE`. Configuration events will neither be written to the server log or directed to the Security Audit Framework.
  - `CONFIG_CHANGE_LOG`. Configuration evemts will be written to the server log.
  - `CONFIG_CHANGE_AUDIT`.Configuration events will be directed to the Security Audit Framework.
  - `CONFIG_CHANGE_LOG_AND_AUDIT`. Configuration events will be written to the server log and directed to the Security Audit Framework.

  Parameters:
    `auditType` - DomainMBean.CONFIG_CHANGE_NONE,DomainMBean.CONFIG_CHANGE_LOG,DomainMBean.CONFIG_CHANGE_AUDIT,DomainMBean.CONFIG_CHANGE_LOG_AND_AUDIT
  Throws:
    `InvalidAttributeValueException`
  Legal values:
    DomainMBean.CONFIG_CHANGE_NONE,DomainMBean.CONFIG_CHANGE_LOG,DomainMBean.CONFIG_CHANGE_AUDIT,DomainMBean.CONFIG_CHANGE_LOG_AND_AUDIT

### setConfigurationVersion

    public void setConfigurationVersion(String version)

  Sets the value of the ConfigurationVersion attribute.

  Parameters:
    `version` - The new configurationVersion value
  See Also:
    `getConfigurationVersion()`

### setConsoleContextPath

    public void setConsoleContextPath(String ctx)

  Sets the value of the ConsoleContextPath attribute.

  Parameters:
    `ctx` - The new consoleContextPath value
  See Also:
    `getConsoleContextPath()`

### setConsoleEnabled

    public void setConsoleEnabled(boolean console)

  Sets the value of the ConsoleEnabled attribute.

  Parameters:
    `console` - The new consoleEnabled value
  See Also:
    `isConsoleEnabled()`

### setConsoleExtensionDirectory

    public void setConsoleExtensionDirectory(String directory)

  Sets the directory path that console extension directory that console extensions are deployed to.

### setProductionModeEnabled

    public void setProductionModeEnabled(boolean productionModeEnabled)

  Sets the value of the ProductionModeEnabled attribute.

  Parameters:
    `productionModeEnabled` - The new productionModeEnabled value
  See Also:
    `isProductionModeEnabled()`
  A dynamic MBean attribute.

### start

    public HashMap start()

  Deprecated. 9.0.0.0

  These operations are used to start and forceShutdown all the servers belonging to the Domain. HashMap contains references to TaskRuntimeMBeans corresponding to each server in the Domain, keyed using the server name.

  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs91 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD